public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/proj/guru:dev commit in: app-misc/far2l/
@ 2024-01-01 10:48 Andrey Syutkin
  0 siblings, 0 replies; 19+ messages in thread
From: Andrey Syutkin @ 2024-01-01 10:48 UTC (permalink / raw
  To: gentoo-commits

commit:     231822dc2b2d1576e68aaeb14ed9c973f6c9f374
Author:     Andrey Syutkin <syutkin <AT> gmail <DOT> com>
AuthorDate: Mon Jan  1 10:45:03 2024 +0000
Commit:     Andrey Syutkin <syutkin <AT> gmail <DOT> com>
CommitDate: Mon Jan  1 10:45:03 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=231822dc

app-misc/far2l: version bump to 2.5.3_beta
Drop python plugins support for now

Signed-off-by: Andrey Syutkin <syutkin <AT> gmail.com>

 app-misc/far2l/Manifest                            |  3 +-
 app-misc/far2l/far2l-2.3.2_alpha.ebuild            | 92 ----------------------
 ...l-2.4.0_beta.ebuild => far2l-2.5.3_beta.ebuild} | 26 ++----
 app-misc/far2l/far2l-9999.ebuild                   | 26 ++----
 app-misc/far2l/metadata.xml                        |  3 +-
 5 files changed, 18 insertions(+), 132 deletions(-)

diff --git a/app-misc/far2l/Manifest b/app-misc/far2l/Manifest
index 7e9fdc0d6d..51138987f7 100644
--- a/app-misc/far2l/Manifest
+++ b/app-misc/far2l/Manifest
@@ -1,2 +1 @@
-DIST v_2.3.2.tar.gz 6232935 BLAKE2B ea146088c518bfeb0d935313a07f00a37fd2b6998388060514d144494946565661d3554e8ffb63b4bed8b9f1c3cea2ba4ec4c0787b0fa89df7f8d39720606b03 SHA512 e610a2b92ab3e7896f3aa5a59872cf273ab1c60ff6aac8e71d1d7152c2e8cb36fb8552167e13c8a4bcec9138052a3397c202cfa4b57cddf2053508421eb66799
-DIST v_2.4.0.tar.gz 6223889 BLAKE2B 25c13233dc53b4be7ba97eb20c6455cda2d1ffd332ece0c6869cd88f7af16b052fab13968a20bf12d6549e17b46fc894503d59f58a893e550808759fde974279 SHA512 096f7a755f71be2b5f80ad091ed4f796e064af6f91d7313bb3c898ea65cb743e406963df3c8b1a263df0d3b2a628f2f47653a14b8fe78a32ee9379ff424f9594
+DIST v_2.5.3.tar.gz 6529657 BLAKE2B fe0a1fad689594c1f472301b1f39e813fc7a5d949a99db38120f4beb4d703854ce0e6fc844e881623cf3a255357ec3680a9efbc78090a800c4c6d3455d6eafea SHA512 a4569511428f7d1465554e9c8075b9481be73f5383831b46e1c5e6ab25e5672585dbbe96bbf22c6dd5115c38e62916f0eef8206718374110b78389fde54086bd

diff --git a/app-misc/far2l/far2l-2.3.2_alpha.ebuild b/app-misc/far2l/far2l-2.3.2_alpha.ebuild
deleted file mode 100644
index f0d8a1521f..0000000000
--- a/app-misc/far2l/far2l-2.3.2_alpha.ebuild
+++ /dev/null
@@ -1,92 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_10 )
-
-WX_GTK_VER="3.0-gtk3"
-
-inherit cmake xdg wxwidgets python-r1
-
-DESCRIPTION="Linux port of FAR Manager v2"
-HOMEPAGE="https://github.com/elfmz/far2l"
-
-if [[ "${PV}" == "9999" ]] ; then
-	inherit git-r3
-	SRC_URI=""
-	EGIT_REPO_URI="https://github.com/elfmz/far2l"
-	EGIT_BRANCH="master"
-else
-	MY_PV="v_${PV/_alpha/}"
-	MY_P="${PN}-${MY_PV}"
-	S="${WORKDIR}/${MY_P}"
-	SRC_URI="https://github.com/elfmz/far2l/archive/${MY_PV}.tar.gz"
-	KEYWORDS="~amd64"
-fi
-
-LICENSE="GPL-2"
-SLOT="0"
-IUSE="+ssl sftp samba nfs webdav +archive +wxwidgets python"
-REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
-RESTRICT="mirror"
-
-BDEPEND="sys-devel/m4"
-
-RDEPEND="dev-libs/xerces-c
-	dev-libs/spdlog
-	app-i18n/uchardet
-	wxwidgets? ( x11-libs/wxGTK:${WX_GTK_VER} )
-	ssl? ( dev-libs/openssl )
-	sftp? ( net-libs/libssh[sftp] )
-	samba? ( net-fs/samba )
-	nfs? ( net-fs/libnfs )
-	webdav? ( net-libs/neon )
-	archive? (
-		dev-libs/libpcre2
-		app-arch/libarchive )
-	python? (
-		${PYTHON_DEPS}
-		virtual/python-cffi
-		dev-python/debugpy
-	)"
-
-DEPEND="${RDEPEND}"
-
-DOCS=( README.md )
-
-pkg_setup() {
-	if use wxwidgets; then
-		setup-wxwidgets
-	fi
-}
-
-src_prepare() {
-	sed -e "s:execute_process(COMMAND ln -sf \../../bin/far2l \${CMAKE_INSTALL_PREFIX}/lib/far2l/far2l_askpass)::" -i "${S}"/CMakeLists.txt || die
-	sed -e "s:execute_process(COMMAND ln -sf \../../bin/far2l \${CMAKE_INSTALL_PREFIX}/lib/far2l/far2l_sudoapp)::" -i "${S}"/CMakeLists.txt || die
-	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/objinfo/plug/objinfo.far-plug-mb)::" -i "${S}"/CMakeLists.txt || die
-	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/farftp/plug/farftp.far-plug-mb && echo Removed existing farftp plugin)::" -i "${S}"/CMakeLists.txt || die
-	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/python/plug/python.far-plug-wide && echo Removed existing python plugin)::" -i "${S}"/CMakeLists.txt || die
-	sed -e "s:execute_process(COMMAND echo Python\: prepaing virtual environment)::" -i "${S}"/CMakeLists.txt || die
-	sed -e "s:execute_process(COMMAND \${PYTHON3} -m venv --system-site-packages \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/python/plug/python)::" -i "${S}"/CMakeLists.txt || die
-	sed -e "s:execute_process(COMMAND echo Python\: installing packages)::" -i "${S}"/CMakeLists.txt || die
-	sed -e "s:execute_process(COMMAND \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/python/plug/python/bin/python -m pip install cffi debugpy)::" -i "${S}"/CMakeLists.txt || die
-	cmake_src_prepare
-}
-
-src_configure() {
-	local mycmakeargs=(
-		-DUSEWX="$(usex wxwidgets)"
-		-DPYTHON="$(usex python)"
-		-DBUILD_SHARED_LIBS=OFF
-	)
-
-	cmake_src_configure
-}
-
-src_install(){
-	cmake_src_install
-	einstalldocs
-	dosym "../../bin/far2l" "usr/lib/far2l/far2l_askpass"
-	dosym "../../bin/far2l" "usr/lib/far2l/far2l_sudoapp"
-}

diff --git a/app-misc/far2l/far2l-2.4.0_beta.ebuild b/app-misc/far2l/far2l-2.5.3_beta.ebuild
similarity index 64%
rename from app-misc/far2l/far2l-2.4.0_beta.ebuild
rename to app-misc/far2l/far2l-2.5.3_beta.ebuild
index 4742dd5ce4..7f902db401 100644
--- a/app-misc/far2l/far2l-2.4.0_beta.ebuild
+++ b/app-misc/far2l/far2l-2.5.3_beta.ebuild
@@ -1,20 +1,17 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
-
-PYTHON_COMPAT=( python3_10 )
+EAPI=8
 
 WX_GTK_VER="3.0-gtk3"
 
-inherit cmake xdg wxwidgets python-r1
+inherit cmake xdg wxwidgets
 
 DESCRIPTION="Linux port of FAR Manager v2"
 HOMEPAGE="https://github.com/elfmz/far2l"
 
 if [[ "${PV}" == "9999" ]] ; then
 	inherit git-r3
-	SRC_URI=""
 	EGIT_REPO_URI="https://github.com/elfmz/far2l"
 	EGIT_BRANCH="master"
 else
@@ -27,8 +24,7 @@ fi
 
 LICENSE="GPL-2"
 SLOT="0"
-IUSE="+ssl sftp samba nfs webdav +archive +wxwidgets python"
-REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+IUSE="+ssl sftp samba nfs webdav +archive +wxwidgets"
 RESTRICT="mirror"
 
 BDEPEND="sys-devel/m4"
@@ -44,11 +40,7 @@ RDEPEND="dev-libs/xerces-c
 	webdav? ( net-libs/neon )
 	archive? (
 		dev-libs/libpcre2
-		app-arch/libarchive )
-	python? (
-		${PYTHON_DEPS}
-		virtual/python-cffi
-		dev-python/debugpy
+		app-arch/libarchive
 	)"
 
 DEPEND="${RDEPEND}"
@@ -65,17 +57,15 @@ src_prepare() {
 	sed -e "s:execute_process(COMMAND ln -sf \../../bin/far2l \${CMAKE_INSTALL_PREFIX}/lib/far2l/far2l_askpass)::" -i "${S}"/CMakeLists.txt || die
 	sed -e "s:execute_process(COMMAND ln -sf \../../bin/far2l \${CMAKE_INSTALL_PREFIX}/lib/far2l/far2l_sudoapp)::" -i "${S}"/CMakeLists.txt || die
 	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/.*::" -i "${S}"/CMakeLists.txt || die
-	sed -e "s:execute_process(COMMAND echo Python\: prepaing virtual environment)::" -i "${S}"/CMakeLists.txt || die
-	sed -e "s:execute_process(COMMAND \${PYTHON3} -m venv --system-site-packages \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/python/plug/python)::" -i "${S}"/CMakeLists.txt || die
-	sed -e "s:execute_process(COMMAND echo Python\: installing packages)::" -i "${S}"/CMakeLists.txt || die
-	sed -e "s:execute_process(COMMAND \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/python/plug/python/bin/python -m pip install cffi debugpy)::" -i "${S}"/CMakeLists.txt || die
 	cmake_src_prepare
 }
 
 src_configure() {
 	local mycmakeargs=(
 		-DUSEWX="$(usex wxwidgets)"
-		-DPYTHON="$(usex python)"
+#		FIXME: add python plugins support
+#		We need pcpp for this
+#		-DPYTHON="$(usex python)"
 		-DBUILD_SHARED_LIBS=OFF
 	)
 

diff --git a/app-misc/far2l/far2l-9999.ebuild b/app-misc/far2l/far2l-9999.ebuild
index 4742dd5ce4..7f902db401 100644
--- a/app-misc/far2l/far2l-9999.ebuild
+++ b/app-misc/far2l/far2l-9999.ebuild
@@ -1,20 +1,17 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
-
-PYTHON_COMPAT=( python3_10 )
+EAPI=8
 
 WX_GTK_VER="3.0-gtk3"
 
-inherit cmake xdg wxwidgets python-r1
+inherit cmake xdg wxwidgets
 
 DESCRIPTION="Linux port of FAR Manager v2"
 HOMEPAGE="https://github.com/elfmz/far2l"
 
 if [[ "${PV}" == "9999" ]] ; then
 	inherit git-r3
-	SRC_URI=""
 	EGIT_REPO_URI="https://github.com/elfmz/far2l"
 	EGIT_BRANCH="master"
 else
@@ -27,8 +24,7 @@ fi
 
 LICENSE="GPL-2"
 SLOT="0"
-IUSE="+ssl sftp samba nfs webdav +archive +wxwidgets python"
-REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+IUSE="+ssl sftp samba nfs webdav +archive +wxwidgets"
 RESTRICT="mirror"
 
 BDEPEND="sys-devel/m4"
@@ -44,11 +40,7 @@ RDEPEND="dev-libs/xerces-c
 	webdav? ( net-libs/neon )
 	archive? (
 		dev-libs/libpcre2
-		app-arch/libarchive )
-	python? (
-		${PYTHON_DEPS}
-		virtual/python-cffi
-		dev-python/debugpy
+		app-arch/libarchive
 	)"
 
 DEPEND="${RDEPEND}"
@@ -65,17 +57,15 @@ src_prepare() {
 	sed -e "s:execute_process(COMMAND ln -sf \../../bin/far2l \${CMAKE_INSTALL_PREFIX}/lib/far2l/far2l_askpass)::" -i "${S}"/CMakeLists.txt || die
 	sed -e "s:execute_process(COMMAND ln -sf \../../bin/far2l \${CMAKE_INSTALL_PREFIX}/lib/far2l/far2l_sudoapp)::" -i "${S}"/CMakeLists.txt || die
 	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/.*::" -i "${S}"/CMakeLists.txt || die
-	sed -e "s:execute_process(COMMAND echo Python\: prepaing virtual environment)::" -i "${S}"/CMakeLists.txt || die
-	sed -e "s:execute_process(COMMAND \${PYTHON3} -m venv --system-site-packages \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/python/plug/python)::" -i "${S}"/CMakeLists.txt || die
-	sed -e "s:execute_process(COMMAND echo Python\: installing packages)::" -i "${S}"/CMakeLists.txt || die
-	sed -e "s:execute_process(COMMAND \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/python/plug/python/bin/python -m pip install cffi debugpy)::" -i "${S}"/CMakeLists.txt || die
 	cmake_src_prepare
 }
 
 src_configure() {
 	local mycmakeargs=(
 		-DUSEWX="$(usex wxwidgets)"
-		-DPYTHON="$(usex python)"
+#		FIXME: add python plugins support
+#		We need pcpp for this
+#		-DPYTHON="$(usex python)"
 		-DBUILD_SHARED_LIBS=OFF
 	)
 

diff --git a/app-misc/far2l/metadata.xml b/app-misc/far2l/metadata.xml
index 231e890f0f..5995d0e6f7 100644
--- a/app-misc/far2l/metadata.xml
+++ b/app-misc/far2l/metadata.xml
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
 	<maintainer type="person">
 		<email>syutkin@gmail.com</email>
@@ -11,7 +11,6 @@
 	<use>
 		<flag name="archive">Multiarc extended archives support</flag>
 		<flag name="nfs">NFS support in NetRocks</flag>
-		<flag name="python">Python scripting support</flag>
 		<flag name="samba">SMB support in NetRocks</flag>
 		<flag name="sftp">SFTP support in NetRocks</flag>
 		<flag name="ssl">FTPS support in NetRocks</flag>


^ permalink raw reply related	[flat|nested] 19+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: app-misc/far2l/
@ 2024-09-04 20:20 Andrey Syutkin
  0 siblings, 0 replies; 19+ messages in thread
From: Andrey Syutkin @ 2024-09-04 20:20 UTC (permalink / raw
  To: gentoo-commits

commit:     8334a2d04bba525dd866b6dfe5501478572c0cae
Author:     Andrey Syutkin <syutkin <AT> gmail <DOT> com>
AuthorDate: Wed Sep  4 20:19:30 2024 +0000
Commit:     Andrey Syutkin <syutkin <AT> gmail <DOT> com>
CommitDate: Wed Sep  4 20:19:30 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=8334a2d0

app-misc/far2l: update deps at live ebuild

Signed-off-by: Andrey Syutkin <syutkin <AT> gmail.com>

 app-misc/far2l/far2l-9999.ebuild | 32 +++++++++++++++++---------------
 app-misc/far2l/metadata.xml      |  3 +++
 2 files changed, 20 insertions(+), 15 deletions(-)

diff --git a/app-misc/far2l/far2l-9999.ebuild b/app-misc/far2l/far2l-9999.ebuild
index 1d170488c..d297445e3 100644
--- a/app-misc/far2l/far2l-9999.ebuild
+++ b/app-misc/far2l/far2l-9999.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=8
 
-WX_GTK_VER="3.0-gtk3"
+WX_GTK_VER="3.2-gtk3"
 
 inherit cmake xdg wxwidgets
 
@@ -24,24 +24,26 @@ fi
 
 LICENSE="GPL-2"
 SLOT="0"
-IUSE="+ssl sftp samba nfs webdav +archive +wxwidgets"
+IUSE="+archive +chardet +colorer nfs samba sftp +ssl webdav wxwidgets X"
 RESTRICT="mirror"
 
-BDEPEND="sys-devel/m4"
-
-RDEPEND="dev-libs/xerces-c
-	dev-libs/spdlog
-	app-i18n/uchardet
+RDEPEND="
 	wxwidgets? ( x11-libs/wxGTK:${WX_GTK_VER} )
-	ssl? ( dev-libs/openssl )
-	sftp? ( net-libs/libssh[sftp] )
-	samba? ( net-fs/samba )
-	nfs? ( net-fs/libnfs )
-	webdav? ( net-libs/neon )
+	X? (
+		x11-libs/libX11
+		x11-libs/libXi
+	)
 	archive? (
 		dev-libs/libpcre2
 		app-arch/libarchive
-	)"
+	)
+	chardet? ( app-i18n/uchardet )
+	colorer? ( dev-libs/libxml2 )
+	nfs? ( net-fs/libnfs )
+	samba? ( net-fs/samba )
+	sftp? ( net-libs/libssh[sftp] )
+	ssl? ( dev-libs/openssl )
+	webdav? ( net-libs/neon )"
 
 DEPEND="${RDEPEND}"
 
@@ -56,10 +58,8 @@ pkg_setup() {
 src_prepare() {
 	sed -e "s:execute_process(COMMAND ln -sf \../../bin/far2l \${CMAKE_INSTALL_PREFIX}/lib/far2l/far2l_askpass)::" \
 		-i "${S}"/CMakeLists.txt || die
-
 	sed -e "s:execute_process(COMMAND ln -sf \../../bin/far2l \${CMAKE_INSTALL_PREFIX}/lib/far2l/far2l_sudoapp)::" \
 		-i "${S}"/CMakeLists.txt || die
-
 	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/.*::" \
 		-i "${S}"/CMakeLists.txt || die
 	cmake_src_prepare
@@ -68,6 +68,8 @@ src_prepare() {
 src_configure() {
 	local mycmakeargs=(
 		-DUSEWX="$(usex wxwidgets)"
+		-DUSEUCD=$"$(usex chardet)"
+		-DCOLORER="$(usex colorer)"
 #		FIXME: add python plugins support
 #		We need pcpp for this
 #		-DPYTHON="$(usex python)"

diff --git a/app-misc/far2l/metadata.xml b/app-misc/far2l/metadata.xml
index ed7554019..74e36fa7a 100644
--- a/app-misc/far2l/metadata.xml
+++ b/app-misc/far2l/metadata.xml
@@ -10,11 +10,14 @@
 	</upstream>
 	<use>
 		<flag name="archive">Multiarc extended archives support</flag>
+		<flag name="chardet">Auto charset detection</flag>
+		<flag name="colorer">Colorer plugin support</flag>
 		<flag name="nfs">NFS support in NetRocks</flag>
 		<flag name="samba">SMB support in NetRocks</flag>
 		<flag name="sftp">SFTP support in NetRocks</flag>
 		<flag name="ssl">FTPS support in NetRocks</flag>
 		<flag name="webdav">WebDav support in NetRocks</flag>
 		<flag name="wxwidgets">GUI backend support</flag>
+		<flag name="X">Provides better UX for TTY backend</flag>
 	</use>
 </pkgmetadata>


^ permalink raw reply related	[flat|nested] 19+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: app-misc/far2l/
@ 2024-08-28 21:58 Andrey Syutkin
  0 siblings, 0 replies; 19+ messages in thread
From: Andrey Syutkin @ 2024-08-28 21:58 UTC (permalink / raw
  To: gentoo-commits

commit:     2111aa4b9f248d5dd9ef899e9a69ef5ddb16b233
Author:     Andrey Syutkin <syutkin <AT> gmail <DOT> com>
AuthorDate: Wed Aug 28 21:55:21 2024 +0000
Commit:     Andrey Syutkin <syutkin <AT> gmail <DOT> com>
CommitDate: Wed Aug 28 21:57:21 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=2111aa4b

app-misc/far2l: add 2.6.3_beta

Signed-off-by: Andrey Syutkin <syutkin <AT> gmail.com>

 app-misc/far2l/Manifest                |  1 +
 app-misc/far2l/far2l-2.6.3_beta.ebuild | 80 ++++++++++++++++++++++++++++++++++
 2 files changed, 81 insertions(+)

diff --git a/app-misc/far2l/Manifest b/app-misc/far2l/Manifest
index 51138987f..1002b51cd 100644
--- a/app-misc/far2l/Manifest
+++ b/app-misc/far2l/Manifest
@@ -1 +1,2 @@
 DIST v_2.5.3.tar.gz 6529657 BLAKE2B fe0a1fad689594c1f472301b1f39e813fc7a5d949a99db38120f4beb4d703854ce0e6fc844e881623cf3a255357ec3680a9efbc78090a800c4c6d3455d6eafea SHA512 a4569511428f7d1465554e9c8075b9481be73f5383831b46e1c5e6ab25e5672585dbbe96bbf22c6dd5115c38e62916f0eef8206718374110b78389fde54086bd
+DIST v_2.6.3.tar.gz 6730071 BLAKE2B 09e629c4bc77a93acdbe92a455355cb09ef54eb025c824fbf829db093f6d5b5a9491023aec80b050667aeeca910dbe82183d542268b0f722c83aa81e3278ade8 SHA512 9d35cae6bbc55058b4926026f73d8f368d8c78669493a67ab0901a3b044b27db87297715d763116fd3460f3a76dc890dbede09e24c3eae8354ac005d8f1c8bd7

diff --git a/app-misc/far2l/far2l-2.6.3_beta.ebuild b/app-misc/far2l/far2l-2.6.3_beta.ebuild
new file mode 100644
index 000000000..7f902db40
--- /dev/null
+++ b/app-misc/far2l/far2l-2.6.3_beta.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+WX_GTK_VER="3.0-gtk3"
+
+inherit cmake xdg wxwidgets
+
+DESCRIPTION="Linux port of FAR Manager v2"
+HOMEPAGE="https://github.com/elfmz/far2l"
+
+if [[ "${PV}" == "9999" ]] ; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/elfmz/far2l"
+	EGIT_BRANCH="master"
+else
+	MY_PV="v_${PV/_beta/}"
+	MY_P="${PN}-${MY_PV}"
+	S="${WORKDIR}/${MY_P}"
+	SRC_URI="https://github.com/elfmz/far2l/archive/${MY_PV}.tar.gz"
+	KEYWORDS="~amd64"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="+ssl sftp samba nfs webdav +archive +wxwidgets"
+RESTRICT="mirror"
+
+BDEPEND="sys-devel/m4"
+
+RDEPEND="dev-libs/xerces-c
+	dev-libs/spdlog
+	app-i18n/uchardet
+	wxwidgets? ( x11-libs/wxGTK:${WX_GTK_VER} )
+	ssl? ( dev-libs/openssl )
+	sftp? ( net-libs/libssh[sftp] )
+	samba? ( net-fs/samba )
+	nfs? ( net-fs/libnfs )
+	webdav? ( net-libs/neon )
+	archive? (
+		dev-libs/libpcre2
+		app-arch/libarchive
+	)"
+
+DEPEND="${RDEPEND}"
+
+DOCS=( README.md )
+
+pkg_setup() {
+	if use wxwidgets; then
+		setup-wxwidgets
+	fi
+}
+
+src_prepare() {
+	sed -e "s:execute_process(COMMAND ln -sf \../../bin/far2l \${CMAKE_INSTALL_PREFIX}/lib/far2l/far2l_askpass)::" -i "${S}"/CMakeLists.txt || die
+	sed -e "s:execute_process(COMMAND ln -sf \../../bin/far2l \${CMAKE_INSTALL_PREFIX}/lib/far2l/far2l_sudoapp)::" -i "${S}"/CMakeLists.txt || die
+	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/.*::" -i "${S}"/CMakeLists.txt || die
+	cmake_src_prepare
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DUSEWX="$(usex wxwidgets)"
+#		FIXME: add python plugins support
+#		We need pcpp for this
+#		-DPYTHON="$(usex python)"
+		-DBUILD_SHARED_LIBS=OFF
+	)
+
+	cmake_src_configure
+}
+
+src_install(){
+	cmake_src_install
+	einstalldocs
+	dosym "../../bin/far2l" "usr/lib/far2l/far2l_askpass"
+	dosym "../../bin/far2l" "usr/lib/far2l/far2l_sudoapp"
+}


^ permalink raw reply related	[flat|nested] 19+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: app-misc/far2l/
@ 2024-07-23 20:22 Brayan
  0 siblings, 0 replies; 19+ messages in thread
From: Brayan @ 2024-07-23 20:22 UTC (permalink / raw
  To: gentoo-commits

commit:     2c570502b7920b7f8a164e92d21731f3158294b4
Author:     Brayan M. Salazar <this.brayan <AT> proton <DOT> me>
AuthorDate: Tue Jul 23 20:08:04 2024 +0000
Commit:     Brayan <this.brayan <AT> proton <DOT> me>
CommitDate: Tue Jul 23 20:08:04 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=2c570502

app-misc/far2l: Fixed ExcessiveLineLength.

Signed-off-by: Brayan M. Salazar <this.brayan <AT> proton.me>

 app-misc/far2l/far2l-2.5.3_beta.ebuild | 11 ++++++++---
 app-misc/far2l/far2l-9999.ebuild       | 11 ++++++++---
 2 files changed, 16 insertions(+), 6 deletions(-)

diff --git a/app-misc/far2l/far2l-2.5.3_beta.ebuild b/app-misc/far2l/far2l-2.5.3_beta.ebuild
index 73bb28382..fc6a69636 100644
--- a/app-misc/far2l/far2l-2.5.3_beta.ebuild
+++ b/app-misc/far2l/far2l-2.5.3_beta.ebuild
@@ -56,9 +56,14 @@ pkg_setup() {
 src_prepare() {
 	p=/lib/far2l/far2l
 
-	sed -e "s:execute_process(COMMAND ln -sf \../../bin/far2l \${CMAKE_INSTALL_PREFIX}\${p}_askpass)::" -i "${S}"/CMakeLists.txt || die
-	sed -e "s:execute_process(COMMAND ln -sf \../../bin/far2l \${CMAKE_INSTALL_PREFIX}\${p}_sudoapp)::" -i "${S}"/CMakeLists.txt || die
-	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/.*::" -i "${S}"/CMakeLists.txt || die
+	sed -e "s:execute_process(COMMAND ln -sf \../../bin/far2l \${CMAKE_INSTALL_PREFIX}\${p}_askpass)::" \
+		-i "${S}"/CMakeLists.txt || die
+	
+	sed -e "s:execute_process(COMMAND ln -sf \../../bin/far2l \${CMAKE_INSTALL_PREFIX}\${p}_sudoapp)::" \
+		-i "${S}"/CMakeLists.txt || die
+
+	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/.*::" \
+		-i "${S}"/CMakeLists.txt || die
 	cmake_src_prepare
 }
 

diff --git a/app-misc/far2l/far2l-9999.ebuild b/app-misc/far2l/far2l-9999.ebuild
index 7f902db40..1d170488c 100644
--- a/app-misc/far2l/far2l-9999.ebuild
+++ b/app-misc/far2l/far2l-9999.ebuild
@@ -54,9 +54,14 @@ pkg_setup() {
 }
 
 src_prepare() {
-	sed -e "s:execute_process(COMMAND ln -sf \../../bin/far2l \${CMAKE_INSTALL_PREFIX}/lib/far2l/far2l_askpass)::" -i "${S}"/CMakeLists.txt || die
-	sed -e "s:execute_process(COMMAND ln -sf \../../bin/far2l \${CMAKE_INSTALL_PREFIX}/lib/far2l/far2l_sudoapp)::" -i "${S}"/CMakeLists.txt || die
-	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/.*::" -i "${S}"/CMakeLists.txt || die
+	sed -e "s:execute_process(COMMAND ln -sf \../../bin/far2l \${CMAKE_INSTALL_PREFIX}/lib/far2l/far2l_askpass)::" \
+		-i "${S}"/CMakeLists.txt || die
+
+	sed -e "s:execute_process(COMMAND ln -sf \../../bin/far2l \${CMAKE_INSTALL_PREFIX}/lib/far2l/far2l_sudoapp)::" \
+		-i "${S}"/CMakeLists.txt || die
+
+	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/.*::" \
+		-i "${S}"/CMakeLists.txt || die
 	cmake_src_prepare
 }
 


^ permalink raw reply related	[flat|nested] 19+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: app-misc/far2l/
@ 2024-07-23 20:22 Brayan
  0 siblings, 0 replies; 19+ messages in thread
From: Brayan @ 2024-07-23 20:22 UTC (permalink / raw
  To: gentoo-commits

commit:     345267ba33255ef3b8b6046ceb97cba18ed2b3ec
Author:     Brayan M. Salazar <this.brayan <AT> proton <DOT> me>
AuthorDate: Tue Jul 23 20:21:08 2024 +0000
Commit:     Brayan <this.brayan <AT> proton <DOT> me>
CommitDate: Tue Jul 23 20:21:08 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=345267ba

app-misc/far2l: Fixed trailing whitespace.

Signed-off-by: Brayan M. Salazar <this.brayan <AT> proton.me>

 app-misc/far2l/far2l-2.5.3_beta.ebuild | 2 --
 1 file changed, 2 deletions(-)

diff --git a/app-misc/far2l/far2l-2.5.3_beta.ebuild b/app-misc/far2l/far2l-2.5.3_beta.ebuild
index fc6a69636..9a8b9b390 100644
--- a/app-misc/far2l/far2l-2.5.3_beta.ebuild
+++ b/app-misc/far2l/far2l-2.5.3_beta.ebuild
@@ -58,10 +58,8 @@ src_prepare() {
 
 	sed -e "s:execute_process(COMMAND ln -sf \../../bin/far2l \${CMAKE_INSTALL_PREFIX}\${p}_askpass)::" \
 		-i "${S}"/CMakeLists.txt || die
-	
 	sed -e "s:execute_process(COMMAND ln -sf \../../bin/far2l \${CMAKE_INSTALL_PREFIX}\${p}_sudoapp)::" \
 		-i "${S}"/CMakeLists.txt || die
-
 	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/.*::" \
 		-i "${S}"/CMakeLists.txt || die
 	cmake_src_prepare


^ permalink raw reply related	[flat|nested] 19+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: app-misc/far2l/
@ 2022-01-12 21:19 Andrey Syutkin
  0 siblings, 0 replies; 19+ messages in thread
From: Andrey Syutkin @ 2022-01-12 21:19 UTC (permalink / raw
  To: gentoo-commits

commit:     4975b6805b692341863383a69e72d91cb10c1870
Author:     Andrey Syutkin <syutkin <AT> gmail <DOT> com>
AuthorDate: Wed Jan 12 21:18:49 2022 +0000
Commit:     Andrey Syutkin <syutkin <AT> gmail <DOT> com>
CommitDate: Wed Jan 12 21:18:49 2022 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=4975b680

app-misc/far2l: Fix sed for hardcoded rm

Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Andrey Syutkin <syutkin <AT> gmail.com>

 app-misc/far2l/far2l-2.4.0_beta.ebuild | 4 +---
 app-misc/far2l/far2l-9999.ebuild       | 4 +---
 2 files changed, 2 insertions(+), 6 deletions(-)

diff --git a/app-misc/far2l/far2l-2.4.0_beta.ebuild b/app-misc/far2l/far2l-2.4.0_beta.ebuild
index 1120beac3..699a53fdc 100644
--- a/app-misc/far2l/far2l-2.4.0_beta.ebuild
+++ b/app-misc/far2l/far2l-2.4.0_beta.ebuild
@@ -64,9 +64,7 @@ pkg_setup() {
 src_prepare() {
 	sed -e "s:execute_process(COMMAND ln -sf \../../bin/far2l \${CMAKE_INSTALL_PREFIX}/lib/far2l/far2l_askpass)::" -i "${S}"/CMakeLists.txt || die
 	sed -e "s:execute_process(COMMAND ln -sf \../../bin/far2l \${CMAKE_INSTALL_PREFIX}/lib/far2l/far2l_sudoapp)::" -i "${S}"/CMakeLists.txt || die
-	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/objinfo/plug/objinfo.far-plug-mb)::" -i "${S}"/CMakeLists.txt || die
-	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/farftp/plug/farftp.far-plug-mb && echo Removed existing farftp plugin)::" -i "${S}"/CMakeLists.txt || die
-	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/python/plug/python.far-plug-wide && echo Removed existing python plugin)::" -i "${S}"/CMakeLists.txt || die
+	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/.*::" -i "${S}"/CMakeLists.txt || die
 	sed -e "s:execute_process(COMMAND echo Python\: prepaing virtual environment)::" -i "${S}"/CMakeLists.txt || die
 	sed -e "s:execute_process(COMMAND \${PYTHON3} -m venv --system-site-packages \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/python/plug/python)::" -i "${S}"/CMakeLists.txt || die
 	sed -e "s:execute_process(COMMAND echo Python\: installing packages)::" -i "${S}"/CMakeLists.txt || die

diff --git a/app-misc/far2l/far2l-9999.ebuild b/app-misc/far2l/far2l-9999.ebuild
index 1120beac3..699a53fdc 100644
--- a/app-misc/far2l/far2l-9999.ebuild
+++ b/app-misc/far2l/far2l-9999.ebuild
@@ -64,9 +64,7 @@ pkg_setup() {
 src_prepare() {
 	sed -e "s:execute_process(COMMAND ln -sf \../../bin/far2l \${CMAKE_INSTALL_PREFIX}/lib/far2l/far2l_askpass)::" -i "${S}"/CMakeLists.txt || die
 	sed -e "s:execute_process(COMMAND ln -sf \../../bin/far2l \${CMAKE_INSTALL_PREFIX}/lib/far2l/far2l_sudoapp)::" -i "${S}"/CMakeLists.txt || die
-	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/objinfo/plug/objinfo.far-plug-mb)::" -i "${S}"/CMakeLists.txt || die
-	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/farftp/plug/farftp.far-plug-mb && echo Removed existing farftp plugin)::" -i "${S}"/CMakeLists.txt || die
-	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/python/plug/python.far-plug-wide && echo Removed existing python plugin)::" -i "${S}"/CMakeLists.txt || die
+	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/.*::" -i "${S}"/CMakeLists.txt || die
 	sed -e "s:execute_process(COMMAND echo Python\: prepaing virtual environment)::" -i "${S}"/CMakeLists.txt || die
 	sed -e "s:execute_process(COMMAND \${PYTHON3} -m venv --system-site-packages \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/python/plug/python)::" -i "${S}"/CMakeLists.txt || die
 	sed -e "s:execute_process(COMMAND echo Python\: installing packages)::" -i "${S}"/CMakeLists.txt || die


^ permalink raw reply related	[flat|nested] 19+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: app-misc/far2l/
@ 2022-01-12 20:03 Andrey Syutkin
  0 siblings, 0 replies; 19+ messages in thread
From: Andrey Syutkin @ 2022-01-12 20:03 UTC (permalink / raw
  To: gentoo-commits

commit:     1d96727443bf974a12a68b90022237423c2a6917
Author:     Andrey Syutkin <syutkin <AT> gmail <DOT> com>
AuthorDate: Wed Jan 12 20:03:15 2022 +0000
Commit:     Andrey Syutkin <syutkin <AT> gmail <DOT> com>
CommitDate: Wed Jan 12 20:03:15 2022 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=1d967274

app-misc/far2l: Version bump to 2.4.0_beta

Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Andrey Syutkin <syutkin <AT> gmail.com>

 app-misc/far2l/Manifest                                       | 1 +
 app-misc/far2l/{far2l-9999.ebuild => far2l-2.4.0_beta.ebuild} | 4 ++--
 app-misc/far2l/far2l-9999.ebuild                              | 4 ++--
 3 files changed, 5 insertions(+), 4 deletions(-)

diff --git a/app-misc/far2l/Manifest b/app-misc/far2l/Manifest
index 7c65762de..7e9fdc0d6 100644
--- a/app-misc/far2l/Manifest
+++ b/app-misc/far2l/Manifest
@@ -1 +1,2 @@
 DIST v_2.3.2.tar.gz 6232935 BLAKE2B ea146088c518bfeb0d935313a07f00a37fd2b6998388060514d144494946565661d3554e8ffb63b4bed8b9f1c3cea2ba4ec4c0787b0fa89df7f8d39720606b03 SHA512 e610a2b92ab3e7896f3aa5a59872cf273ab1c60ff6aac8e71d1d7152c2e8cb36fb8552167e13c8a4bcec9138052a3397c202cfa4b57cddf2053508421eb66799
+DIST v_2.4.0.tar.gz 6223889 BLAKE2B 25c13233dc53b4be7ba97eb20c6455cda2d1ffd332ece0c6869cd88f7af16b052fab13968a20bf12d6549e17b46fc894503d59f58a893e550808759fde974279 SHA512 096f7a755f71be2b5f80ad091ed4f796e064af6f91d7313bb3c898ea65cb743e406963df3c8b1a263df0d3b2a628f2f47653a14b8fe78a32ee9379ff424f9594

diff --git a/app-misc/far2l/far2l-9999.ebuild b/app-misc/far2l/far2l-2.4.0_beta.ebuild
similarity index 97%
copy from app-misc/far2l/far2l-9999.ebuild
copy to app-misc/far2l/far2l-2.4.0_beta.ebuild
index 10f77e4c5..1120beac3 100644
--- a/app-misc/far2l/far2l-9999.ebuild
+++ b/app-misc/far2l/far2l-2.4.0_beta.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -18,7 +18,7 @@ if [[ "${PV}" == "9999" ]] ; then
 	EGIT_REPO_URI="https://github.com/elfmz/far2l"
 	EGIT_BRANCH="master"
 else
-	MY_PV="v_${PV/_alpha/}"
+	MY_PV="v_${PV/_beta/}"
 	MY_P="${PN}-${MY_PV}"
 	S="${WORKDIR}/${MY_P}"
 	SRC_URI="https://github.com/elfmz/far2l/archive/${MY_PV}.tar.gz"

diff --git a/app-misc/far2l/far2l-9999.ebuild b/app-misc/far2l/far2l-9999.ebuild
index 10f77e4c5..1120beac3 100644
--- a/app-misc/far2l/far2l-9999.ebuild
+++ b/app-misc/far2l/far2l-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -18,7 +18,7 @@ if [[ "${PV}" == "9999" ]] ; then
 	EGIT_REPO_URI="https://github.com/elfmz/far2l"
 	EGIT_BRANCH="master"
 else
-	MY_PV="v_${PV/_alpha/}"
+	MY_PV="v_${PV/_beta/}"
 	MY_P="${PN}-${MY_PV}"
 	S="${WORKDIR}/${MY_P}"
 	SRC_URI="https://github.com/elfmz/far2l/archive/${MY_PV}.tar.gz"


^ permalink raw reply related	[flat|nested] 19+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: app-misc/far2l/
@ 2021-12-25 18:00 Andrey Syutkin
  0 siblings, 0 replies; 19+ messages in thread
From: Andrey Syutkin @ 2021-12-25 18:00 UTC (permalink / raw
  To: gentoo-commits

commit:     b54dac390a3d0fb904b61643be35cf2c7694ce7f
Author:     Andrey Syutkin <syutkin <AT> gmail <DOT> com>
AuthorDate: Sat Dec 25 17:57:46 2021 +0000
Commit:     Andrey Syutkin <syutkin <AT> gmail <DOT> com>
CommitDate: Sat Dec 25 17:57:46 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=b54dac39

app-misc/far2l: version bump to 2.3.2_alpha

Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Andrey Syutkin <syutkin <AT> gmail.com>

 app-misc/far2l/Manifest                            |  3 +-
 app-misc/far2l/far2l-2.3.20211204_alpha.ebuild     | 91 ----------------------
 ...10921_alpha.ebuild => far2l-2.3.2_alpha.ebuild} |  5 +-
 app-misc/far2l/far2l-9999.ebuild                   |  5 +-
 4 files changed, 7 insertions(+), 97 deletions(-)

diff --git a/app-misc/far2l/Manifest b/app-misc/far2l/Manifest
index eb3e5ec71..7c65762de 100644
--- a/app-misc/far2l/Manifest
+++ b/app-misc/far2l/Manifest
@@ -1,2 +1 @@
-DIST far2l-2.3.20210921_alpha.tar.gz 5427544 BLAKE2B b206df5c148dfa937610cfcd38fcec93790a02a4f011b0c7573cf0bf2b2229196097e7cebbd7e163778c2e86a26d22c3dc7d7c32e8562fd540b1106da5210725 SHA512 7c17192464f2f6bebb72928f8f2159eb940afa6d549213716ffccb8dd858ce982ff57538377f90a5f1200e3e9b0c36f2cdf7f1e48a3d53f29458757b1c974260
-DIST far2l-2.3.20211204_alpha.tar.gz 5471538 BLAKE2B 3bfc3ce631132e162f513e4341c8ff55e08dc2a6fa20dba07b77366d0113004601fa718f51d58769599fee1c98d01f059669f7cba567d574b31f680cd765465b SHA512 69e2eb2148566e0f159e9577e00eb938c7f5a43ad8f04b99d9ceeeedc3abd20d36c5cd81bcff06f8d7f465201224d30ceede955199643426d4f6840d23b5c9e0
+DIST v_2.3.2.tar.gz 6232935 BLAKE2B ea146088c518bfeb0d935313a07f00a37fd2b6998388060514d144494946565661d3554e8ffb63b4bed8b9f1c3cea2ba4ec4c0787b0fa89df7f8d39720606b03 SHA512 e610a2b92ab3e7896f3aa5a59872cf273ab1c60ff6aac8e71d1d7152c2e8cb36fb8552167e13c8a4bcec9138052a3397c202cfa4b57cddf2053508421eb66799

diff --git a/app-misc/far2l/far2l-2.3.20211204_alpha.ebuild b/app-misc/far2l/far2l-2.3.20211204_alpha.ebuild
deleted file mode 100644
index f23f32656..000000000
--- a/app-misc/far2l/far2l-2.3.20211204_alpha.ebuild
+++ /dev/null
@@ -1,91 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{8..10} )
-
-WX_GTK_VER="3.0-gtk3"
-
-inherit cmake xdg wxwidgets python-r1
-
-DESCRIPTION="Linux port of FAR Manager v2"
-HOMEPAGE="https://github.com/elfmz/far2l"
-
-if [[ "${PV}" == "9999" ]] ; then
-	inherit git-r3
-	SRC_URI=""
-	EGIT_REPO_URI="https://github.com/elfmz/far2l"
-	EGIT_BRANCH="master"
-else
-	MY_PV="${PV:4:4}-${PV:8:2}-${PV:10:8}"
-	MY_P="${PN}-${MY_PV}"
-	S="${WORKDIR}/${MY_P}"
-	SRC_URI="https://github.com/elfmz/far2l/archive/v${MY_PV}.tar.gz -> ${P}.tar.gz"
-	KEYWORDS="~amd64"
-fi
-
-LICENSE="GPL-2"
-SLOT="0"
-IUSE="+ssl sftp samba nfs webdav +archive +wxwidgets python"
-REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
-
-BDEPEND="sys-devel/m4"
-
-RDEPEND="dev-libs/xerces-c
-	dev-libs/spdlog
-	app-i18n/uchardet
-	wxwidgets? ( x11-libs/wxGTK:${WX_GTK_VER} )
-	ssl? ( dev-libs/openssl )
-	sftp? ( net-libs/libssh[sftp] )
-	samba? ( net-fs/samba )
-	nfs? ( net-fs/libnfs )
-	webdav? ( net-libs/neon )
-	archive? (
-		dev-libs/libpcre2
-		app-arch/libarchive )
-	python? (
-		${PYTHON_DEPS}
-		virtual/python-cffi
-		dev-python/debugpy
-	)"
-
-DEPEND="${RDEPEND}"
-
-DOCS=( README.md )
-
-pkg_setup() {
-	if use wxwidgets; then
-		setup-wxwidgets
-	fi
-}
-
-src_prepare() {
-	sed -e "s:execute_process(COMMAND ln -sf \../../bin/far2l \${CMAKE_INSTALL_PREFIX}/lib/far2l/far2l_askpass)::" -i "${S}"/CMakeLists.txt || die
-	sed -e "s:execute_process(COMMAND ln -sf \../../bin/far2l \${CMAKE_INSTALL_PREFIX}/lib/far2l/far2l_sudoapp)::" -i "${S}"/CMakeLists.txt || die
-	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/objinfo/plug/objinfo.far-plug-mb)::" -i "${S}"/CMakeLists.txt || die
-	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/farftp/plug/farftp.far-plug-mb && echo Removed existing farftp plugin)::" -i "${S}"/CMakeLists.txt || die
-	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/python/plug/python.far-plug-wide && echo Removed existing python plugin)::" -i "${S}"/CMakeLists.txt || die
-	sed -e "s:execute_process(COMMAND echo Python\: prepaing virtual environment)::" -i "${S}"/CMakeLists.txt || die
-	sed -e "s:execute_process(COMMAND \${PYTHON3} -m venv --system-site-packages \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/python/plug/python)::" -i "${S}"/CMakeLists.txt || die
-	sed -e "s:execute_process(COMMAND echo Python\: installing packages)::" -i "${S}"/CMakeLists.txt || die
-	sed -e "s:execute_process(COMMAND \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/python/plug/python/bin/python -m pip install cffi debugpy)::" -i "${S}"/CMakeLists.txt || die
-	cmake_src_prepare
-}
-
-src_configure() {
-	local mycmakeargs=(
-		-DUSEWX="$(usex wxwidgets)"
-		-DPYTHON="$(usex python)"
-		-DBUILD_SHARED_LIBS=OFF
-	)
-
-	cmake_src_configure
-}
-
-src_install(){
-	cmake_src_install
-	einstalldocs
-	dosym "../../bin/far2l" "usr/lib/far2l/far2l_askpass"
-	dosym "../../bin/far2l" "usr/lib/far2l/far2l_sudoapp"
-}

diff --git a/app-misc/far2l/far2l-2.3.20210921_alpha.ebuild b/app-misc/far2l/far2l-2.3.2_alpha.ebuild
similarity index 95%
rename from app-misc/far2l/far2l-2.3.20210921_alpha.ebuild
rename to app-misc/far2l/far2l-2.3.2_alpha.ebuild
index f23f32656..10f77e4c5 100644
--- a/app-misc/far2l/far2l-2.3.20210921_alpha.ebuild
+++ b/app-misc/far2l/far2l-2.3.2_alpha.ebuild
@@ -18,10 +18,10 @@ if [[ "${PV}" == "9999" ]] ; then
 	EGIT_REPO_URI="https://github.com/elfmz/far2l"
 	EGIT_BRANCH="master"
 else
-	MY_PV="${PV:4:4}-${PV:8:2}-${PV:10:8}"
+	MY_PV="v_${PV/_alpha/}"
 	MY_P="${PN}-${MY_PV}"
 	S="${WORKDIR}/${MY_P}"
-	SRC_URI="https://github.com/elfmz/far2l/archive/v${MY_PV}.tar.gz -> ${P}.tar.gz"
+	SRC_URI="https://github.com/elfmz/far2l/archive/${MY_PV}.tar.gz"
 	KEYWORDS="~amd64"
 fi
 
@@ -29,6 +29,7 @@ LICENSE="GPL-2"
 SLOT="0"
 IUSE="+ssl sftp samba nfs webdav +archive +wxwidgets python"
 REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+RESTRICT="mirror"
 
 BDEPEND="sys-devel/m4"
 

diff --git a/app-misc/far2l/far2l-9999.ebuild b/app-misc/far2l/far2l-9999.ebuild
index f23f32656..10f77e4c5 100644
--- a/app-misc/far2l/far2l-9999.ebuild
+++ b/app-misc/far2l/far2l-9999.ebuild
@@ -18,10 +18,10 @@ if [[ "${PV}" == "9999" ]] ; then
 	EGIT_REPO_URI="https://github.com/elfmz/far2l"
 	EGIT_BRANCH="master"
 else
-	MY_PV="${PV:4:4}-${PV:8:2}-${PV:10:8}"
+	MY_PV="v_${PV/_alpha/}"
 	MY_P="${PN}-${MY_PV}"
 	S="${WORKDIR}/${MY_P}"
-	SRC_URI="https://github.com/elfmz/far2l/archive/v${MY_PV}.tar.gz -> ${P}.tar.gz"
+	SRC_URI="https://github.com/elfmz/far2l/archive/${MY_PV}.tar.gz"
 	KEYWORDS="~amd64"
 fi
 
@@ -29,6 +29,7 @@ LICENSE="GPL-2"
 SLOT="0"
 IUSE="+ssl sftp samba nfs webdav +archive +wxwidgets python"
 REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+RESTRICT="mirror"
 
 BDEPEND="sys-devel/m4"
 


^ permalink raw reply related	[flat|nested] 19+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: app-misc/far2l/
@ 2021-12-05  6:23 Andrey Syutkin
  0 siblings, 0 replies; 19+ messages in thread
From: Andrey Syutkin @ 2021-12-05  6:23 UTC (permalink / raw
  To: gentoo-commits

commit:     b79ba066c73df2af55cdf7fcb3a656fcaa93a3a6
Author:     Andrey Syutkin <syutkin <AT> gmail <DOT> com>
AuthorDate: Sun Dec  5 06:22:11 2021 +0000
Commit:     Andrey Syutkin <syutkin <AT> gmail <DOT> com>
CommitDate: Sun Dec  5 06:22:11 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=b79ba066

app-misc/far2l: version bump

Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Andrey Syutkin <syutkin <AT> gmail.com>

 app-misc/far2l/Manifest                                              | 2 +-
 ...r2l-2.3.20210630_alpha.ebuild => far2l-2.3.20211204_alpha.ebuild} | 5 ++++-
 2 files changed, 5 insertions(+), 2 deletions(-)

diff --git a/app-misc/far2l/Manifest b/app-misc/far2l/Manifest
index d39269e41..eb3e5ec71 100644
--- a/app-misc/far2l/Manifest
+++ b/app-misc/far2l/Manifest
@@ -1,2 +1,2 @@
-DIST far2l-2.3.20210630_alpha.tar.gz 5445927 BLAKE2B 15ab034c13221ea02d71e589dc93fce835256ade6238743f9d1becb2cc2cd73ca0271198cb9d47b56b59b938183a657816582b1ad3d61e05fe38d04344edd1c8 SHA512 b9eaf15ab9da1a7f0d3db56e06d52d7d8cc32ebd6ee6b5a5c7067b32fa71526979adfefb66f2a91eba3e5f0390b9e6bea9162c71bb681dfb8094447a709b2c9d
 DIST far2l-2.3.20210921_alpha.tar.gz 5427544 BLAKE2B b206df5c148dfa937610cfcd38fcec93790a02a4f011b0c7573cf0bf2b2229196097e7cebbd7e163778c2e86a26d22c3dc7d7c32e8562fd540b1106da5210725 SHA512 7c17192464f2f6bebb72928f8f2159eb940afa6d549213716ffccb8dd858ce982ff57538377f90a5f1200e3e9b0c36f2cdf7f1e48a3d53f29458757b1c974260
+DIST far2l-2.3.20211204_alpha.tar.gz 5471538 BLAKE2B 3bfc3ce631132e162f513e4341c8ff55e08dc2a6fa20dba07b77366d0113004601fa718f51d58769599fee1c98d01f059669f7cba567d574b31f680cd765465b SHA512 69e2eb2148566e0f159e9577e00eb938c7f5a43ad8f04b99d9ceeeedc3abd20d36c5cd81bcff06f8d7f465201224d30ceede955199643426d4f6840d23b5c9e0

diff --git a/app-misc/far2l/far2l-2.3.20210630_alpha.ebuild b/app-misc/far2l/far2l-2.3.20211204_alpha.ebuild
similarity index 81%
rename from app-misc/far2l/far2l-2.3.20210630_alpha.ebuild
rename to app-misc/far2l/far2l-2.3.20211204_alpha.ebuild
index cbaa424c7..f23f32656 100644
--- a/app-misc/far2l/far2l-2.3.20210630_alpha.ebuild
+++ b/app-misc/far2l/far2l-2.3.20211204_alpha.ebuild
@@ -48,7 +48,6 @@ RDEPEND="dev-libs/xerces-c
 		${PYTHON_DEPS}
 		virtual/python-cffi
 		dev-python/debugpy
-		$(python_gen_any_dep 'dev-python/virtualenv[${PYTHON_USEDEP}]')
 	)"
 
 DEPEND="${RDEPEND}"
@@ -67,6 +66,10 @@ src_prepare() {
 	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/objinfo/plug/objinfo.far-plug-mb)::" -i "${S}"/CMakeLists.txt || die
 	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/farftp/plug/farftp.far-plug-mb && echo Removed existing farftp plugin)::" -i "${S}"/CMakeLists.txt || die
 	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/python/plug/python.far-plug-wide && echo Removed existing python plugin)::" -i "${S}"/CMakeLists.txt || die
+	sed -e "s:execute_process(COMMAND echo Python\: prepaing virtual environment)::" -i "${S}"/CMakeLists.txt || die
+	sed -e "s:execute_process(COMMAND \${PYTHON3} -m venv --system-site-packages \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/python/plug/python)::" -i "${S}"/CMakeLists.txt || die
+	sed -e "s:execute_process(COMMAND echo Python\: installing packages)::" -i "${S}"/CMakeLists.txt || die
+	sed -e "s:execute_process(COMMAND \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/python/plug/python/bin/python -m pip install cffi debugpy)::" -i "${S}"/CMakeLists.txt || die
 	cmake_src_prepare
 }
 


^ permalink raw reply related	[flat|nested] 19+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: app-misc/far2l/
@ 2021-09-21 20:06 Andrey Syutkin
  0 siblings, 0 replies; 19+ messages in thread
From: Andrey Syutkin @ 2021-09-21 20:06 UTC (permalink / raw
  To: gentoo-commits

commit:     e680fdc2cba1871070936b956e6f24326e2b5232
Author:     Andrey Syutkin <syutkin <AT> gmail <DOT> com>
AuthorDate: Tue Sep 21 20:05:30 2021 +0000
Commit:     Andrey Syutkin <syutkin <AT> gmail <DOT> com>
CommitDate: Tue Sep 21 20:05:30 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=e680fdc2

app-misc/far2l: bump to 2.3.20210921_alpha

Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Andrey Syutkin <syutkin <AT> gmail.com>

 app-misc/far2l/Manifest                                              | 2 +-
 ...r2l-2.3.20210426_alpha.ebuild => far2l-2.3.20210921_alpha.ebuild} | 5 ++++-
 2 files changed, 5 insertions(+), 2 deletions(-)

diff --git a/app-misc/far2l/Manifest b/app-misc/far2l/Manifest
index 4dd08734a..d39269e41 100644
--- a/app-misc/far2l/Manifest
+++ b/app-misc/far2l/Manifest
@@ -1,2 +1,2 @@
-DIST far2l-2.3.20210426_alpha.tar.gz 5441382 BLAKE2B d6f1c2611d4c149755bf7bf7b25428030489f56b3ff5a0f8a5d4703b2229c45a4d35ec6ce3b7b90681690135028678b29cd3062be5fe74eb5a4494edfe3a2b93 SHA512 28a4e819c36815d8e754ea04b57631ee61d5c48ecfe32ce7d7a45564d8f3e08dd8cdcc5a34d3c8c4abc45b143d819c286ad95cbdc281c6b94e8599ff3acdcec3
 DIST far2l-2.3.20210630_alpha.tar.gz 5445927 BLAKE2B 15ab034c13221ea02d71e589dc93fce835256ade6238743f9d1becb2cc2cd73ca0271198cb9d47b56b59b938183a657816582b1ad3d61e05fe38d04344edd1c8 SHA512 b9eaf15ab9da1a7f0d3db56e06d52d7d8cc32ebd6ee6b5a5c7067b32fa71526979adfefb66f2a91eba3e5f0390b9e6bea9162c71bb681dfb8094447a709b2c9d
+DIST far2l-2.3.20210921_alpha.tar.gz 5427544 BLAKE2B b206df5c148dfa937610cfcd38fcec93790a02a4f011b0c7573cf0bf2b2229196097e7cebbd7e163778c2e86a26d22c3dc7d7c32e8562fd540b1106da5210725 SHA512 7c17192464f2f6bebb72928f8f2159eb940afa6d549213716ffccb8dd858ce982ff57538377f90a5f1200e3e9b0c36f2cdf7f1e48a3d53f29458757b1c974260

diff --git a/app-misc/far2l/far2l-2.3.20210426_alpha.ebuild b/app-misc/far2l/far2l-2.3.20210921_alpha.ebuild
similarity index 81%
rename from app-misc/far2l/far2l-2.3.20210426_alpha.ebuild
rename to app-misc/far2l/far2l-2.3.20210921_alpha.ebuild
index cbaa424c7..f23f32656 100644
--- a/app-misc/far2l/far2l-2.3.20210426_alpha.ebuild
+++ b/app-misc/far2l/far2l-2.3.20210921_alpha.ebuild
@@ -48,7 +48,6 @@ RDEPEND="dev-libs/xerces-c
 		${PYTHON_DEPS}
 		virtual/python-cffi
 		dev-python/debugpy
-		$(python_gen_any_dep 'dev-python/virtualenv[${PYTHON_USEDEP}]')
 	)"
 
 DEPEND="${RDEPEND}"
@@ -67,6 +66,10 @@ src_prepare() {
 	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/objinfo/plug/objinfo.far-plug-mb)::" -i "${S}"/CMakeLists.txt || die
 	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/farftp/plug/farftp.far-plug-mb && echo Removed existing farftp plugin)::" -i "${S}"/CMakeLists.txt || die
 	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/python/plug/python.far-plug-wide && echo Removed existing python plugin)::" -i "${S}"/CMakeLists.txt || die
+	sed -e "s:execute_process(COMMAND echo Python\: prepaing virtual environment)::" -i "${S}"/CMakeLists.txt || die
+	sed -e "s:execute_process(COMMAND \${PYTHON3} -m venv --system-site-packages \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/python/plug/python)::" -i "${S}"/CMakeLists.txt || die
+	sed -e "s:execute_process(COMMAND echo Python\: installing packages)::" -i "${S}"/CMakeLists.txt || die
+	sed -e "s:execute_process(COMMAND \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/python/plug/python/bin/python -m pip install cffi debugpy)::" -i "${S}"/CMakeLists.txt || die
 	cmake_src_prepare
 }
 


^ permalink raw reply related	[flat|nested] 19+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: app-misc/far2l/
@ 2021-09-19 20:17 Andrey Syutkin
  0 siblings, 0 replies; 19+ messages in thread
From: Andrey Syutkin @ 2021-09-19 20:17 UTC (permalink / raw
  To: gentoo-commits

commit:     f692065015bbb5eed32a1c3234ee2aa63c993f98
Author:     Andrey Syutkin <syutkin <AT> gmail <DOT> com>
AuthorDate: Sun Sep 19 20:16:21 2021 +0000
Commit:     Andrey Syutkin <syutkin <AT> gmail <DOT> com>
CommitDate: Sun Sep 19 20:16:21 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=f6920650

app-misc/far2l: fix python stuff

Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Andrey Syutkin <syutkin <AT> gmail.com>

 app-misc/far2l/far2l-9999.ebuild | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/app-misc/far2l/far2l-9999.ebuild b/app-misc/far2l/far2l-9999.ebuild
index 1a4c0b345..f23f32656 100644
--- a/app-misc/far2l/far2l-9999.ebuild
+++ b/app-misc/far2l/far2l-9999.ebuild
@@ -66,6 +66,10 @@ src_prepare() {
 	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/objinfo/plug/objinfo.far-plug-mb)::" -i "${S}"/CMakeLists.txt || die
 	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/farftp/plug/farftp.far-plug-mb && echo Removed existing farftp plugin)::" -i "${S}"/CMakeLists.txt || die
 	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/python/plug/python.far-plug-wide && echo Removed existing python plugin)::" -i "${S}"/CMakeLists.txt || die
+	sed -e "s:execute_process(COMMAND echo Python\: prepaing virtual environment)::" -i "${S}"/CMakeLists.txt || die
+	sed -e "s:execute_process(COMMAND \${PYTHON3} -m venv --system-site-packages \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/python/plug/python)::" -i "${S}"/CMakeLists.txt || die
+	sed -e "s:execute_process(COMMAND echo Python\: installing packages)::" -i "${S}"/CMakeLists.txt || die
+	sed -e "s:execute_process(COMMAND \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/python/plug/python/bin/python -m pip install cffi debugpy)::" -i "${S}"/CMakeLists.txt || die
 	cmake_src_prepare
 }
 


^ permalink raw reply related	[flat|nested] 19+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: app-misc/far2l/
@ 2021-08-28 19:40 Anna Vyalkova
  0 siblings, 0 replies; 19+ messages in thread
From: Anna Vyalkova @ 2021-08-28 19:40 UTC (permalink / raw
  To: gentoo-commits

commit:     94f262ef4991bab192bcfb0dbf59e1c091479d08
Author:     Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
AuthorDate: Sat Aug 28 19:33:29 2021 +0000
Commit:     Anna Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
CommitDate: Sat Aug 28 19:33:29 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=94f262ef

app-misc/far2l: drop ~x86 keyword

dev-python/debugpy is not keyworded for x86 yet

Signed-off-by: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq.in>

 app-misc/far2l/far2l-2.3.20210426_alpha.ebuild | 2 +-
 app-misc/far2l/far2l-2.3.20210630_alpha.ebuild | 2 +-
 app-misc/far2l/far2l-9999.ebuild               | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/app-misc/far2l/far2l-2.3.20210426_alpha.ebuild b/app-misc/far2l/far2l-2.3.20210426_alpha.ebuild
index ea9fb3377..cbaa424c7 100644
--- a/app-misc/far2l/far2l-2.3.20210426_alpha.ebuild
+++ b/app-misc/far2l/far2l-2.3.20210426_alpha.ebuild
@@ -22,7 +22,7 @@ else
 	MY_P="${PN}-${MY_PV}"
 	S="${WORKDIR}/${MY_P}"
 	SRC_URI="https://github.com/elfmz/far2l/archive/v${MY_PV}.tar.gz -> ${P}.tar.gz"
-	KEYWORDS="~amd64 ~x86"
+	KEYWORDS="~amd64"
 fi
 
 LICENSE="GPL-2"

diff --git a/app-misc/far2l/far2l-2.3.20210630_alpha.ebuild b/app-misc/far2l/far2l-2.3.20210630_alpha.ebuild
index ea9fb3377..cbaa424c7 100644
--- a/app-misc/far2l/far2l-2.3.20210630_alpha.ebuild
+++ b/app-misc/far2l/far2l-2.3.20210630_alpha.ebuild
@@ -22,7 +22,7 @@ else
 	MY_P="${PN}-${MY_PV}"
 	S="${WORKDIR}/${MY_P}"
 	SRC_URI="https://github.com/elfmz/far2l/archive/v${MY_PV}.tar.gz -> ${P}.tar.gz"
-	KEYWORDS="~amd64 ~x86"
+	KEYWORDS="~amd64"
 fi
 
 LICENSE="GPL-2"

diff --git a/app-misc/far2l/far2l-9999.ebuild b/app-misc/far2l/far2l-9999.ebuild
index dd01ac84a..1a4c0b345 100644
--- a/app-misc/far2l/far2l-9999.ebuild
+++ b/app-misc/far2l/far2l-9999.ebuild
@@ -22,7 +22,7 @@ else
 	MY_P="${PN}-${MY_PV}"
 	S="${WORKDIR}/${MY_P}"
 	SRC_URI="https://github.com/elfmz/far2l/archive/v${MY_PV}.tar.gz -> ${P}.tar.gz"
-	KEYWORDS="~amd64 ~x86"
+	KEYWORDS="~amd64"
 fi
 
 LICENSE="GPL-2"


^ permalink raw reply related	[flat|nested] 19+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: app-misc/far2l/
@ 2021-07-01  6:01 Andrey Syutkin
  0 siblings, 0 replies; 19+ messages in thread
From: Andrey Syutkin @ 2021-07-01  6:01 UTC (permalink / raw
  To: gentoo-commits

commit:     fff070fb7ec3e4edb36454247436939f130ad399
Author:     Andrey Syutkin <syutkin <AT> gmail <DOT> com>
AuthorDate: Thu Jul  1 06:00:43 2021 +0000
Commit:     Andrey Syutkin <syutkin <AT> gmail <DOT> com>
CommitDate: Thu Jul  1 06:00:43 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=fff070fb

app-misc/far2l: bump to 2.3.20210630_alpha

Signed-off-by: Andrey Syutkin <syutkin <AT> gmail.com>

 app-misc/far2l/Manifest                        |  1 +
 app-misc/far2l/far2l-2.3.20210630_alpha.ebuild | 88 ++++++++++++++++++++++++++
 2 files changed, 89 insertions(+)

diff --git a/app-misc/far2l/Manifest b/app-misc/far2l/Manifest
index e073873f0..4dd08734a 100644
--- a/app-misc/far2l/Manifest
+++ b/app-misc/far2l/Manifest
@@ -1 +1,2 @@
 DIST far2l-2.3.20210426_alpha.tar.gz 5441382 BLAKE2B d6f1c2611d4c149755bf7bf7b25428030489f56b3ff5a0f8a5d4703b2229c45a4d35ec6ce3b7b90681690135028678b29cd3062be5fe74eb5a4494edfe3a2b93 SHA512 28a4e819c36815d8e754ea04b57631ee61d5c48ecfe32ce7d7a45564d8f3e08dd8cdcc5a34d3c8c4abc45b143d819c286ad95cbdc281c6b94e8599ff3acdcec3
+DIST far2l-2.3.20210630_alpha.tar.gz 5445927 BLAKE2B 15ab034c13221ea02d71e589dc93fce835256ade6238743f9d1becb2cc2cd73ca0271198cb9d47b56b59b938183a657816582b1ad3d61e05fe38d04344edd1c8 SHA512 b9eaf15ab9da1a7f0d3db56e06d52d7d8cc32ebd6ee6b5a5c7067b32fa71526979adfefb66f2a91eba3e5f0390b9e6bea9162c71bb681dfb8094447a709b2c9d

diff --git a/app-misc/far2l/far2l-2.3.20210630_alpha.ebuild b/app-misc/far2l/far2l-2.3.20210630_alpha.ebuild
new file mode 100644
index 000000000..ea9fb3377
--- /dev/null
+++ b/app-misc/far2l/far2l-2.3.20210630_alpha.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{8..10} )
+
+WX_GTK_VER="3.0-gtk3"
+
+inherit cmake xdg wxwidgets python-r1
+
+DESCRIPTION="Linux port of FAR Manager v2"
+HOMEPAGE="https://github.com/elfmz/far2l"
+
+if [[ "${PV}" == "9999" ]] ; then
+	inherit git-r3
+	SRC_URI=""
+	EGIT_REPO_URI="https://github.com/elfmz/far2l"
+	EGIT_BRANCH="master"
+else
+	MY_PV="${PV:4:4}-${PV:8:2}-${PV:10:8}"
+	MY_P="${PN}-${MY_PV}"
+	S="${WORKDIR}/${MY_P}"
+	SRC_URI="https://github.com/elfmz/far2l/archive/v${MY_PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="+ssl sftp samba nfs webdav +archive +wxwidgets python"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+BDEPEND="sys-devel/m4"
+
+RDEPEND="dev-libs/xerces-c
+	dev-libs/spdlog
+	app-i18n/uchardet
+	wxwidgets? ( x11-libs/wxGTK:${WX_GTK_VER} )
+	ssl? ( dev-libs/openssl )
+	sftp? ( net-libs/libssh[sftp] )
+	samba? ( net-fs/samba )
+	nfs? ( net-fs/libnfs )
+	webdav? ( net-libs/neon )
+	archive? (
+		dev-libs/libpcre2
+		app-arch/libarchive )
+	python? (
+		${PYTHON_DEPS}
+		virtual/python-cffi
+		dev-python/debugpy
+		$(python_gen_any_dep 'dev-python/virtualenv[${PYTHON_USEDEP}]')
+	)"
+
+DEPEND="${RDEPEND}"
+
+DOCS=( README.md )
+
+pkg_setup() {
+	if use wxwidgets; then
+		setup-wxwidgets
+	fi
+}
+
+src_prepare() {
+	sed -e "s:execute_process(COMMAND ln -sf \../../bin/far2l \${CMAKE_INSTALL_PREFIX}/lib/far2l/far2l_askpass)::" -i "${S}"/CMakeLists.txt || die
+	sed -e "s:execute_process(COMMAND ln -sf \../../bin/far2l \${CMAKE_INSTALL_PREFIX}/lib/far2l/far2l_sudoapp)::" -i "${S}"/CMakeLists.txt || die
+	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/objinfo/plug/objinfo.far-plug-mb)::" -i "${S}"/CMakeLists.txt || die
+	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/farftp/plug/farftp.far-plug-mb && echo Removed existing farftp plugin)::" -i "${S}"/CMakeLists.txt || die
+	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/python/plug/python.far-plug-wide && echo Removed existing python plugin)::" -i "${S}"/CMakeLists.txt || die
+	cmake_src_prepare
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DUSEWX="$(usex wxwidgets)"
+		-DPYTHON="$(usex python)"
+		-DBUILD_SHARED_LIBS=OFF
+	)
+
+	cmake_src_configure
+}
+
+src_install(){
+	cmake_src_install
+	einstalldocs
+	dosym "../../bin/far2l" "usr/lib/far2l/far2l_askpass"
+	dosym "../../bin/far2l" "usr/lib/far2l/far2l_sudoapp"
+}


^ permalink raw reply related	[flat|nested] 19+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: app-misc/far2l/
@ 2021-06-17 16:55 Andrey Syutkin
  0 siblings, 0 replies; 19+ messages in thread
From: Andrey Syutkin @ 2021-06-17 16:55 UTC (permalink / raw
  To: gentoo-commits

commit:     f974ebac64e3711521daeb72f68708950754507a
Author:     Andrey Syutkin <syutkin <AT> gmail <DOT> com>
AuthorDate: Thu Jun 17 16:51:48 2021 +0000
Commit:     Andrey Syutkin <syutkin <AT> gmail <DOT> com>
CommitDate: Thu Jun 17 16:55:08 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=f974ebac

app-misc/far2l: add required python deps, drop 2.3.20210419

Signed-off-by: Andrey Syutkin <syutkin <AT> gmail.com>

 app-misc/far2l/Manifest                        |  1 -
 app-misc/far2l/far2l-2.3.20210419_alpha.ebuild | 86 --------------------------
 app-misc/far2l/far2l-2.3.20210426_alpha.ebuild |  4 +-
 app-misc/far2l/far2l-9999.ebuild               |  5 +-
 4 files changed, 6 insertions(+), 90 deletions(-)

diff --git a/app-misc/far2l/Manifest b/app-misc/far2l/Manifest
index 1cc40960a..e073873f0 100644
--- a/app-misc/far2l/Manifest
+++ b/app-misc/far2l/Manifest
@@ -1,2 +1 @@
-DIST far2l-2.3.20210419_alpha.tar.gz 5441978 BLAKE2B d8878704d5928d5240e1cdcf32dc3e2bd298c3a283811ae29a9cff36c20d1ae8b655ea5355f7c41660eb91b6e53b6c26cf66e93f7d4fc59e12ad3ee1e2cac4b0 SHA512 99b98f5946ce93ddbd93a9d26ce4db22ee687e7c9cbaab53b0087896a9a8247041064614b489d5e6e0a0d4ead72057db5bcbdbf6b060e36b9eb4f61aa30dec38
 DIST far2l-2.3.20210426_alpha.tar.gz 5441382 BLAKE2B d6f1c2611d4c149755bf7bf7b25428030489f56b3ff5a0f8a5d4703b2229c45a4d35ec6ce3b7b90681690135028678b29cd3062be5fe74eb5a4494edfe3a2b93 SHA512 28a4e819c36815d8e754ea04b57631ee61d5c48ecfe32ce7d7a45564d8f3e08dd8cdcc5a34d3c8c4abc45b143d819c286ad95cbdc281c6b94e8599ff3acdcec3

diff --git a/app-misc/far2l/far2l-2.3.20210419_alpha.ebuild b/app-misc/far2l/far2l-2.3.20210419_alpha.ebuild
deleted file mode 100644
index 85318fa2b..000000000
--- a/app-misc/far2l/far2l-2.3.20210419_alpha.ebuild
+++ /dev/null
@@ -1,86 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{7..9} )
-
-WX_GTK_VER="3.0-gtk3"
-
-inherit cmake xdg wxwidgets python-r1
-
-DESCRIPTION="Linux port of FAR Manager v2"
-HOMEPAGE="https://github.com/elfmz/far2l"
-
-if [[ "${PV}" == "9999" ]] ; then
-	inherit git-r3
-	SRC_URI=""
-	EGIT_REPO_URI="https://github.com/elfmz/far2l"
-	EGIT_BRANCH="master"
-else
-	MY_PV="${PV:4:4}-${PV:8:2}-${PV:10:8}"
-	MY_P="${PN}-${MY_PV}"
-	S="${WORKDIR}/${MY_P}"
-	SRC_URI="https://github.com/elfmz/far2l/archive/v${MY_PV}.tar.gz -> ${P}.tar.gz"
-	KEYWORDS="~amd64 ~x86"
-fi
-
-LICENSE="GPL-2"
-SLOT="0"
-IUSE="+ssl sftp samba nfs webdav +archive +wxwidgets python"
-REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
-
-BDEPEND="sys-devel/m4"
-
-RDEPEND="dev-libs/xerces-c
-	dev-libs/spdlog
-	app-i18n/uchardet
-	wxwidgets? ( x11-libs/wxGTK:${WX_GTK_VER} )
-	ssl? ( dev-libs/openssl )
-	sftp? ( net-libs/libssh[sftp] )
-	samba? ( net-fs/samba )
-	nfs? ( net-fs/libnfs )
-	webdav? ( net-libs/neon )
-	archive? (
-		dev-libs/libpcre2
-		app-arch/libarchive )
-	python? (
-		${PYTHON_DEPS}
-		$(python_gen_any_dep 'dev-python/virtualenv[${PYTHON_USEDEP}]')
-	)"
-
-DEPEND="${RDEPEND}"
-
-DOCS=( README.md )
-
-pkg_setup() {
-	if use wxwidgets; then
-		setup-wxwidgets
-	fi
-}
-
-src_prepare() {
-	sed -e "s:execute_process(COMMAND ln -sf \../../bin/far2l \${CMAKE_INSTALL_PREFIX}/lib/far2l/far2l_askpass)::" -i "${S}"/CMakeLists.txt || die
-	sed -e "s:execute_process(COMMAND ln -sf \../../bin/far2l \${CMAKE_INSTALL_PREFIX}/lib/far2l/far2l_sudoapp)::" -i "${S}"/CMakeLists.txt || die
-	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/objinfo/plug/objinfo.far-plug-mb)::" -i "${S}"/CMakeLists.txt || die
-	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/farftp/plug/farftp.far-plug-mb && echo Removed existing farftp plugin)::" -i "${S}"/CMakeLists.txt || die
-	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/python/plug/python.far-plug-wide && echo Removed existing python plugin)::" -i "${S}"/CMakeLists.txt || die
-	cmake_src_prepare
-}
-
-src_configure() {
-	local mycmakeargs=(
-		-DUSEWX="$(usex wxwidgets)"
-		-DPYTHON="$(usex python)"
-		-DBUILD_SHARED_LIBS=OFF
-	)
-
-	cmake_src_configure
-}
-
-src_install(){
-	cmake_src_install
-	einstalldocs
-	dosym "../../bin/far2l" "usr/lib/far2l/far2l_askpass"
-	dosym "../../bin/far2l" "usr/lib/far2l/far2l_sudoapp"
-}

diff --git a/app-misc/far2l/far2l-2.3.20210426_alpha.ebuild b/app-misc/far2l/far2l-2.3.20210426_alpha.ebuild
index 85318fa2b..ea9fb3377 100644
--- a/app-misc/far2l/far2l-2.3.20210426_alpha.ebuild
+++ b/app-misc/far2l/far2l-2.3.20210426_alpha.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=7
 
-PYTHON_COMPAT=( python3_{7..9} )
+PYTHON_COMPAT=( python3_{8..10} )
 
 WX_GTK_VER="3.0-gtk3"
 
@@ -46,6 +46,8 @@ RDEPEND="dev-libs/xerces-c
 		app-arch/libarchive )
 	python? (
 		${PYTHON_DEPS}
+		virtual/python-cffi
+		dev-python/debugpy
 		$(python_gen_any_dep 'dev-python/virtualenv[${PYTHON_USEDEP}]')
 	)"
 

diff --git a/app-misc/far2l/far2l-9999.ebuild b/app-misc/far2l/far2l-9999.ebuild
index 85318fa2b..dd01ac84a 100644
--- a/app-misc/far2l/far2l-9999.ebuild
+++ b/app-misc/far2l/far2l-9999.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=7
 
-PYTHON_COMPAT=( python3_{7..9} )
+PYTHON_COMPAT=( python3_{8..10} )
 
 WX_GTK_VER="3.0-gtk3"
 
@@ -46,7 +46,8 @@ RDEPEND="dev-libs/xerces-c
 		app-arch/libarchive )
 	python? (
 		${PYTHON_DEPS}
-		$(python_gen_any_dep 'dev-python/virtualenv[${PYTHON_USEDEP}]')
+		virtual/python-cffi
+		dev-python/debugpy
 	)"
 
 DEPEND="${RDEPEND}"


^ permalink raw reply related	[flat|nested] 19+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: app-misc/far2l/
@ 2021-04-26 16:54 Andrey Syutkin
  0 siblings, 0 replies; 19+ messages in thread
From: Andrey Syutkin @ 2021-04-26 16:54 UTC (permalink / raw
  To: gentoo-commits

commit:     d23bb68f9e340f9078e2c364ffa0e0e3eb86a02d
Author:     Andrey Syutkin <syutkin <AT> gmail <DOT> com>
AuthorDate: Mon Apr 26 16:52:00 2021 +0000
Commit:     Andrey Syutkin <syutkin <AT> gmail <DOT> com>
CommitDate: Mon Apr 26 16:52:00 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=d23bb68f

app-misc/far2l: version bump

Package-Manager: Portage-3.0.18, Repoman-3.0.2
Signed-off-by: Andrey Syutkin <syutkin <AT> gmail.com>

 app-misc/far2l/Manifest                        |  1 +
 app-misc/far2l/far2l-2.3.20210426_alpha.ebuild | 86 ++++++++++++++++++++++++++
 2 files changed, 87 insertions(+)

diff --git a/app-misc/far2l/Manifest b/app-misc/far2l/Manifest
index dd24253db..1cc40960a 100644
--- a/app-misc/far2l/Manifest
+++ b/app-misc/far2l/Manifest
@@ -1 +1,2 @@
 DIST far2l-2.3.20210419_alpha.tar.gz 5441978 BLAKE2B d8878704d5928d5240e1cdcf32dc3e2bd298c3a283811ae29a9cff36c20d1ae8b655ea5355f7c41660eb91b6e53b6c26cf66e93f7d4fc59e12ad3ee1e2cac4b0 SHA512 99b98f5946ce93ddbd93a9d26ce4db22ee687e7c9cbaab53b0087896a9a8247041064614b489d5e6e0a0d4ead72057db5bcbdbf6b060e36b9eb4f61aa30dec38
+DIST far2l-2.3.20210426_alpha.tar.gz 5441382 BLAKE2B d6f1c2611d4c149755bf7bf7b25428030489f56b3ff5a0f8a5d4703b2229c45a4d35ec6ce3b7b90681690135028678b29cd3062be5fe74eb5a4494edfe3a2b93 SHA512 28a4e819c36815d8e754ea04b57631ee61d5c48ecfe32ce7d7a45564d8f3e08dd8cdcc5a34d3c8c4abc45b143d819c286ad95cbdc281c6b94e8599ff3acdcec3

diff --git a/app-misc/far2l/far2l-2.3.20210426_alpha.ebuild b/app-misc/far2l/far2l-2.3.20210426_alpha.ebuild
new file mode 100644
index 000000000..85318fa2b
--- /dev/null
+++ b/app-misc/far2l/far2l-2.3.20210426_alpha.ebuild
@@ -0,0 +1,86 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+
+WX_GTK_VER="3.0-gtk3"
+
+inherit cmake xdg wxwidgets python-r1
+
+DESCRIPTION="Linux port of FAR Manager v2"
+HOMEPAGE="https://github.com/elfmz/far2l"
+
+if [[ "${PV}" == "9999" ]] ; then
+	inherit git-r3
+	SRC_URI=""
+	EGIT_REPO_URI="https://github.com/elfmz/far2l"
+	EGIT_BRANCH="master"
+else
+	MY_PV="${PV:4:4}-${PV:8:2}-${PV:10:8}"
+	MY_P="${PN}-${MY_PV}"
+	S="${WORKDIR}/${MY_P}"
+	SRC_URI="https://github.com/elfmz/far2l/archive/v${MY_PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="+ssl sftp samba nfs webdav +archive +wxwidgets python"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+BDEPEND="sys-devel/m4"
+
+RDEPEND="dev-libs/xerces-c
+	dev-libs/spdlog
+	app-i18n/uchardet
+	wxwidgets? ( x11-libs/wxGTK:${WX_GTK_VER} )
+	ssl? ( dev-libs/openssl )
+	sftp? ( net-libs/libssh[sftp] )
+	samba? ( net-fs/samba )
+	nfs? ( net-fs/libnfs )
+	webdav? ( net-libs/neon )
+	archive? (
+		dev-libs/libpcre2
+		app-arch/libarchive )
+	python? (
+		${PYTHON_DEPS}
+		$(python_gen_any_dep 'dev-python/virtualenv[${PYTHON_USEDEP}]')
+	)"
+
+DEPEND="${RDEPEND}"
+
+DOCS=( README.md )
+
+pkg_setup() {
+	if use wxwidgets; then
+		setup-wxwidgets
+	fi
+}
+
+src_prepare() {
+	sed -e "s:execute_process(COMMAND ln -sf \../../bin/far2l \${CMAKE_INSTALL_PREFIX}/lib/far2l/far2l_askpass)::" -i "${S}"/CMakeLists.txt || die
+	sed -e "s:execute_process(COMMAND ln -sf \../../bin/far2l \${CMAKE_INSTALL_PREFIX}/lib/far2l/far2l_sudoapp)::" -i "${S}"/CMakeLists.txt || die
+	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/objinfo/plug/objinfo.far-plug-mb)::" -i "${S}"/CMakeLists.txt || die
+	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/farftp/plug/farftp.far-plug-mb && echo Removed existing farftp plugin)::" -i "${S}"/CMakeLists.txt || die
+	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/python/plug/python.far-plug-wide && echo Removed existing python plugin)::" -i "${S}"/CMakeLists.txt || die
+	cmake_src_prepare
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DUSEWX="$(usex wxwidgets)"
+		-DPYTHON="$(usex python)"
+		-DBUILD_SHARED_LIBS=OFF
+	)
+
+	cmake_src_configure
+}
+
+src_install(){
+	cmake_src_install
+	einstalldocs
+	dosym "../../bin/far2l" "usr/lib/far2l/far2l_askpass"
+	dosym "../../bin/far2l" "usr/lib/far2l/far2l_sudoapp"
+}


^ permalink raw reply related	[flat|nested] 19+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: app-misc/far2l/
@ 2021-04-23 12:23 Andrew Ammerlaan
  0 siblings, 0 replies; 19+ messages in thread
From: Andrew Ammerlaan @ 2021-04-23 12:23 UTC (permalink / raw
  To: gentoo-commits

commit:     539de9297838435bebf9d695149b816df43967d9
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Fri Apr 23 12:23:22 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Fri Apr 23 12:23:22 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=539de929

app-misc/far2l: add missing ${PYTHON_DEPS}

Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 app-misc/far2l/far2l-2.3.20210419_alpha.ebuild | 5 ++++-
 app-misc/far2l/far2l-9999.ebuild               | 5 ++++-
 2 files changed, 8 insertions(+), 2 deletions(-)

diff --git a/app-misc/far2l/far2l-2.3.20210419_alpha.ebuild b/app-misc/far2l/far2l-2.3.20210419_alpha.ebuild
index fd7b2a26c..85318fa2b 100644
--- a/app-misc/far2l/far2l-2.3.20210419_alpha.ebuild
+++ b/app-misc/far2l/far2l-2.3.20210419_alpha.ebuild
@@ -44,7 +44,10 @@ RDEPEND="dev-libs/xerces-c
 	archive? (
 		dev-libs/libpcre2
 		app-arch/libarchive )
-	python? ( $(python_gen_any_dep 'dev-python/virtualenv[${PYTHON_USEDEP}]') )"
+	python? (
+		${PYTHON_DEPS}
+		$(python_gen_any_dep 'dev-python/virtualenv[${PYTHON_USEDEP}]')
+	)"
 
 DEPEND="${RDEPEND}"
 

diff --git a/app-misc/far2l/far2l-9999.ebuild b/app-misc/far2l/far2l-9999.ebuild
index fd7b2a26c..85318fa2b 100644
--- a/app-misc/far2l/far2l-9999.ebuild
+++ b/app-misc/far2l/far2l-9999.ebuild
@@ -44,7 +44,10 @@ RDEPEND="dev-libs/xerces-c
 	archive? (
 		dev-libs/libpcre2
 		app-arch/libarchive )
-	python? ( $(python_gen_any_dep 'dev-python/virtualenv[${PYTHON_USEDEP}]') )"
+	python? (
+		${PYTHON_DEPS}
+		$(python_gen_any_dep 'dev-python/virtualenv[${PYTHON_USEDEP}]')
+	)"
 
 DEPEND="${RDEPEND}"
 


^ permalink raw reply related	[flat|nested] 19+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: app-misc/far2l/
@ 2021-04-22 22:11 Andrey Syutkin
  0 siblings, 0 replies; 19+ messages in thread
From: Andrey Syutkin @ 2021-04-22 22:11 UTC (permalink / raw
  To: gentoo-commits

commit:     b4ad2d87cfb40746caa928be4639af8320032baa
Author:     Andrey Syutkin <syutkin <AT> gmail <DOT> com>
AuthorDate: Thu Apr 22 22:10:34 2021 +0000
Commit:     Andrey Syutkin <syutkin <AT> gmail <DOT> com>
CommitDate: Thu Apr 22 22:10:34 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=b4ad2d87

app-misc/far2l: various changes and cleanups

Package-Manager: Portage-3.0.17, Repoman-3.0.2
Signed-off-by: Andrey Syutkin <syutkin <AT> gmail.com>

 app-misc/far2l/far2l-2.3.20210419_alpha.ebuild | 41 +++++++++-----------------
 app-misc/far2l/far2l-9999.ebuild               | 41 +++++++++-----------------
 app-misc/far2l/metadata.xml                    |  9 ++++++
 3 files changed, 37 insertions(+), 54 deletions(-)

diff --git a/app-misc/far2l/far2l-2.3.20210419_alpha.ebuild b/app-misc/far2l/far2l-2.3.20210419_alpha.ebuild
index 46f3a6551..fd7b2a26c 100644
--- a/app-misc/far2l/far2l-2.3.20210419_alpha.ebuild
+++ b/app-misc/far2l/far2l-2.3.20210419_alpha.ebuild
@@ -5,13 +5,11 @@ EAPI=7
 
 PYTHON_COMPAT=( python3_{7..9} )
 
-CMAKE_MAKEFILE_GENERATOR="emake"
-CMAKE_BUILD_TYPE="Release"
 WX_GTK_VER="3.0-gtk3"
 
-inherit cmake xdg-utils wxwidgets python-r1
+inherit cmake xdg wxwidgets python-r1
 
-DESCRIPTION="Linux port of Far Manager"
+DESCRIPTION="Linux port of FAR Manager v2"
 HOMEPAGE="https://github.com/elfmz/far2l"
 
 if [[ "${PV}" == "9999" ]] ; then
@@ -29,21 +27,16 @@ fi
 
 LICENSE="GPL-2"
 SLOT="0"
-IUSE="+ssl libressl sftp samba nfs webdav +archive +wxwidgets python +static-libs"
+IUSE="+ssl sftp samba nfs webdav +archive +wxwidgets python"
 REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
 
-BDEPEND=">=dev-util/cmake-3.2.2
-	sys-devel/m4"
+BDEPEND="sys-devel/m4"
 
-RDEPEND="sys-apps/gawk
-	dev-libs/xerces-c
+RDEPEND="dev-libs/xerces-c
 	dev-libs/spdlog
 	app-i18n/uchardet
 	wxwidgets? ( x11-libs/wxGTK:${WX_GTK_VER} )
-	ssl? (
-		!libressl? ( dev-libs/openssl )
-		libressl? ( dev-libs/libressl )
-	)
+	ssl? ( dev-libs/openssl )
 	sftp? ( net-libs/libssh[sftp] )
 	samba? ( net-fs/samba )
 	nfs? ( net-fs/libnfs )
@@ -55,6 +48,8 @@ RDEPEND="sys-apps/gawk
 
 DEPEND="${RDEPEND}"
 
+DOCS=( README.md )
+
 pkg_setup() {
 	if use wxwidgets; then
 		setup-wxwidgets
@@ -62,11 +57,11 @@ pkg_setup() {
 }
 
 src_prepare() {
-	sed -e "s:execute_process(COMMAND ln -sf \../../bin/far2l \${CMAKE_INSTALL_PREFIX}/lib/far2l/far2l_askpass)::" -i "${S}"/CMakeLists.txt
-	sed -e "s:execute_process(COMMAND ln -sf \../../bin/far2l \${CMAKE_INSTALL_PREFIX}/lib/far2l/far2l_sudoapp)::" -i "${S}"/CMakeLists.txt
-	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/objinfo/plug/objinfo.far-plug-mb)::" -i "${S}"/CMakeLists.txt
-	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/farftp/plug/farftp.far-plug-mb && echo Removed existing farftp plugin)::" -i "${S}"/CMakeLists.txt
-	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/python/plug/python.far-plug-wide && echo Removed existing python plugin)::" -i "${S}"/CMakeLists.txt
+	sed -e "s:execute_process(COMMAND ln -sf \../../bin/far2l \${CMAKE_INSTALL_PREFIX}/lib/far2l/far2l_askpass)::" -i "${S}"/CMakeLists.txt || die
+	sed -e "s:execute_process(COMMAND ln -sf \../../bin/far2l \${CMAKE_INSTALL_PREFIX}/lib/far2l/far2l_sudoapp)::" -i "${S}"/CMakeLists.txt || die
+	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/objinfo/plug/objinfo.far-plug-mb)::" -i "${S}"/CMakeLists.txt || die
+	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/farftp/plug/farftp.far-plug-mb && echo Removed existing farftp plugin)::" -i "${S}"/CMakeLists.txt || die
+	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/python/plug/python.far-plug-wide && echo Removed existing python plugin)::" -i "${S}"/CMakeLists.txt || die
 	cmake_src_prepare
 }
 
@@ -74,7 +69,7 @@ src_configure() {
 	local mycmakeargs=(
 		-DUSEWX="$(usex wxwidgets)"
 		-DPYTHON="$(usex python)"
-		-DBUILD_SHARED_LIBS="$(usex static-libs "no" "yes")"
+		-DBUILD_SHARED_LIBS=OFF
 	)
 
 	cmake_src_configure
@@ -86,11 +81,3 @@ src_install(){
 	dosym "../../bin/far2l" "usr/lib/far2l/far2l_askpass"
 	dosym "../../bin/far2l" "usr/lib/far2l/far2l_sudoapp"
 }
-
-pkg_postinst() {
-	xdg_icon_cache_update
-}
-
-pkg_postrm() {
-	xdg_icon_cache_update
-}

diff --git a/app-misc/far2l/far2l-9999.ebuild b/app-misc/far2l/far2l-9999.ebuild
index 46f3a6551..fd7b2a26c 100644
--- a/app-misc/far2l/far2l-9999.ebuild
+++ b/app-misc/far2l/far2l-9999.ebuild
@@ -5,13 +5,11 @@ EAPI=7
 
 PYTHON_COMPAT=( python3_{7..9} )
 
-CMAKE_MAKEFILE_GENERATOR="emake"
-CMAKE_BUILD_TYPE="Release"
 WX_GTK_VER="3.0-gtk3"
 
-inherit cmake xdg-utils wxwidgets python-r1
+inherit cmake xdg wxwidgets python-r1
 
-DESCRIPTION="Linux port of Far Manager"
+DESCRIPTION="Linux port of FAR Manager v2"
 HOMEPAGE="https://github.com/elfmz/far2l"
 
 if [[ "${PV}" == "9999" ]] ; then
@@ -29,21 +27,16 @@ fi
 
 LICENSE="GPL-2"
 SLOT="0"
-IUSE="+ssl libressl sftp samba nfs webdav +archive +wxwidgets python +static-libs"
+IUSE="+ssl sftp samba nfs webdav +archive +wxwidgets python"
 REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
 
-BDEPEND=">=dev-util/cmake-3.2.2
-	sys-devel/m4"
+BDEPEND="sys-devel/m4"
 
-RDEPEND="sys-apps/gawk
-	dev-libs/xerces-c
+RDEPEND="dev-libs/xerces-c
 	dev-libs/spdlog
 	app-i18n/uchardet
 	wxwidgets? ( x11-libs/wxGTK:${WX_GTK_VER} )
-	ssl? (
-		!libressl? ( dev-libs/openssl )
-		libressl? ( dev-libs/libressl )
-	)
+	ssl? ( dev-libs/openssl )
 	sftp? ( net-libs/libssh[sftp] )
 	samba? ( net-fs/samba )
 	nfs? ( net-fs/libnfs )
@@ -55,6 +48,8 @@ RDEPEND="sys-apps/gawk
 
 DEPEND="${RDEPEND}"
 
+DOCS=( README.md )
+
 pkg_setup() {
 	if use wxwidgets; then
 		setup-wxwidgets
@@ -62,11 +57,11 @@ pkg_setup() {
 }
 
 src_prepare() {
-	sed -e "s:execute_process(COMMAND ln -sf \../../bin/far2l \${CMAKE_INSTALL_PREFIX}/lib/far2l/far2l_askpass)::" -i "${S}"/CMakeLists.txt
-	sed -e "s:execute_process(COMMAND ln -sf \../../bin/far2l \${CMAKE_INSTALL_PREFIX}/lib/far2l/far2l_sudoapp)::" -i "${S}"/CMakeLists.txt
-	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/objinfo/plug/objinfo.far-plug-mb)::" -i "${S}"/CMakeLists.txt
-	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/farftp/plug/farftp.far-plug-mb && echo Removed existing farftp plugin)::" -i "${S}"/CMakeLists.txt
-	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/python/plug/python.far-plug-wide && echo Removed existing python plugin)::" -i "${S}"/CMakeLists.txt
+	sed -e "s:execute_process(COMMAND ln -sf \../../bin/far2l \${CMAKE_INSTALL_PREFIX}/lib/far2l/far2l_askpass)::" -i "${S}"/CMakeLists.txt || die
+	sed -e "s:execute_process(COMMAND ln -sf \../../bin/far2l \${CMAKE_INSTALL_PREFIX}/lib/far2l/far2l_sudoapp)::" -i "${S}"/CMakeLists.txt || die
+	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/objinfo/plug/objinfo.far-plug-mb)::" -i "${S}"/CMakeLists.txt || die
+	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/farftp/plug/farftp.far-plug-mb && echo Removed existing farftp plugin)::" -i "${S}"/CMakeLists.txt || die
+	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/python/plug/python.far-plug-wide && echo Removed existing python plugin)::" -i "${S}"/CMakeLists.txt || die
 	cmake_src_prepare
 }
 
@@ -74,7 +69,7 @@ src_configure() {
 	local mycmakeargs=(
 		-DUSEWX="$(usex wxwidgets)"
 		-DPYTHON="$(usex python)"
-		-DBUILD_SHARED_LIBS="$(usex static-libs "no" "yes")"
+		-DBUILD_SHARED_LIBS=OFF
 	)
 
 	cmake_src_configure
@@ -86,11 +81,3 @@ src_install(){
 	dosym "../../bin/far2l" "usr/lib/far2l/far2l_askpass"
 	dosym "../../bin/far2l" "usr/lib/far2l/far2l_sudoapp"
 }
-
-pkg_postinst() {
-	xdg_icon_cache_update
-}
-
-pkg_postrm() {
-	xdg_icon_cache_update
-}

diff --git a/app-misc/far2l/metadata.xml b/app-misc/far2l/metadata.xml
index fd703baf5..0c6a1eb9f 100644
--- a/app-misc/far2l/metadata.xml
+++ b/app-misc/far2l/metadata.xml
@@ -1,12 +1,21 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
+	<maintainer type="person">
+		<email>syutkin@gmail.com</email>
+		<name>Andrey Syutkin</name>
+	</maintainer>
+	<upstream>
+		<remote-id type="github">elfmz/far2l</remote-id>
+	</upstream>
 	<use>
 		<flag name="archive">Multiarc extended archives support</flag>
 		<flag name="nfs">NFS support in NetRocks</flag>
+		<flag name="python">Python scripting support</flag>
 		<flag name="samba">SMB support in NetRocks</flag>
 		<flag name="sftp">SFTP support in NetRocks</flag>
 		<flag name="ssl">FTPS support in NetRocks</flag>
 		<flag name="webdav">WebDav support in NetRocks</flag>
+		<flag name="wxwidgets">GUI backend support</flag>
 	</use>
 </pkgmetadata>


^ permalink raw reply related	[flat|nested] 19+ messages in thread
* [gentoo-commits] repo/proj/guru:master commit in: app-misc/far2l/
@ 2021-04-22  7:35 Andrew Ammerlaan
  2021-04-22  7:26 ` [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
  0 siblings, 1 reply; 19+ messages in thread
From: Andrew Ammerlaan @ 2021-04-22  7:35 UTC (permalink / raw
  To: gentoo-commits

commit:     ca360d58ba921295a28ff7550b7ebf62ba731968
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Thu Apr 22 07:26:12 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Thu Apr 22 07:26:12 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=ca360d58

app-misc/far2l: fix python dependencies

Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 app-misc/far2l/far2l-2.3.20210419_alpha.ebuild | 7 ++++---
 app-misc/far2l/far2l-9999.ebuild               | 7 ++++---
 2 files changed, 8 insertions(+), 6 deletions(-)

diff --git a/app-misc/far2l/far2l-2.3.20210419_alpha.ebuild b/app-misc/far2l/far2l-2.3.20210419_alpha.ebuild
index 92570f24a..46f3a6551 100644
--- a/app-misc/far2l/far2l-2.3.20210419_alpha.ebuild
+++ b/app-misc/far2l/far2l-2.3.20210419_alpha.ebuild
@@ -3,13 +3,13 @@
 
 EAPI=7
 
-PYTHON_COMPAT=( python3_{6..9} )
+PYTHON_COMPAT=( python3_{7..9} )
 
 CMAKE_MAKEFILE_GENERATOR="emake"
 CMAKE_BUILD_TYPE="Release"
 WX_GTK_VER="3.0-gtk3"
 
-inherit eutils cmake xdg-utils wxwidgets python-any-r1
+inherit cmake xdg-utils wxwidgets python-r1
 
 DESCRIPTION="Linux port of Far Manager"
 HOMEPAGE="https://github.com/elfmz/far2l"
@@ -30,6 +30,7 @@ fi
 LICENSE="GPL-2"
 SLOT="0"
 IUSE="+ssl libressl sftp samba nfs webdav +archive +wxwidgets python +static-libs"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
 
 BDEPEND=">=dev-util/cmake-3.2.2
 	sys-devel/m4"
@@ -92,4 +93,4 @@ pkg_postinst() {
 
 pkg_postrm() {
 	xdg_icon_cache_update
-}
\ No newline at end of file
+}

diff --git a/app-misc/far2l/far2l-9999.ebuild b/app-misc/far2l/far2l-9999.ebuild
index 92570f24a..46f3a6551 100644
--- a/app-misc/far2l/far2l-9999.ebuild
+++ b/app-misc/far2l/far2l-9999.ebuild
@@ -3,13 +3,13 @@
 
 EAPI=7
 
-PYTHON_COMPAT=( python3_{6..9} )
+PYTHON_COMPAT=( python3_{7..9} )
 
 CMAKE_MAKEFILE_GENERATOR="emake"
 CMAKE_BUILD_TYPE="Release"
 WX_GTK_VER="3.0-gtk3"
 
-inherit eutils cmake xdg-utils wxwidgets python-any-r1
+inherit cmake xdg-utils wxwidgets python-r1
 
 DESCRIPTION="Linux port of Far Manager"
 HOMEPAGE="https://github.com/elfmz/far2l"
@@ -30,6 +30,7 @@ fi
 LICENSE="GPL-2"
 SLOT="0"
 IUSE="+ssl libressl sftp samba nfs webdav +archive +wxwidgets python +static-libs"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
 
 BDEPEND=">=dev-util/cmake-3.2.2
 	sys-devel/m4"
@@ -92,4 +93,4 @@ pkg_postinst() {
 
 pkg_postrm() {
 	xdg_icon_cache_update
-}
\ No newline at end of file
+}


^ permalink raw reply related	[flat|nested] 19+ messages in thread
* [gentoo-commits] repo/proj/guru:dev commit in: app-misc/far2l/
@ 2021-04-20 19:58 Andrey Syutkin
  0 siblings, 0 replies; 19+ messages in thread
From: Andrey Syutkin @ 2021-04-20 19:58 UTC (permalink / raw
  To: gentoo-commits

commit:     f2a4a12e1fd5ec8d66d50bc621b82838a5fd1831
Author:     Andrey Syutkin <syutkin <AT> gmail <DOT> com>
AuthorDate: Tue Apr 20 19:56:03 2021 +0000
Commit:     Andrey Syutkin <syutkin <AT> gmail <DOT> com>
CommitDate: Tue Apr 20 19:56:03 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=f2a4a12e

app-misc/far2l: new package

Package-Manager: Portage-3.0.17, Repoman-3.0.2
Signed-off-by: Andrey Syutkin <syutkin <AT> gmail.com>

 app-misc/far2l/Manifest                        |  1 +
 app-misc/far2l/far2l-2.3.20210419_alpha.ebuild | 95 ++++++++++++++++++++++++++
 app-misc/far2l/far2l-9999.ebuild               | 95 ++++++++++++++++++++++++++
 app-misc/far2l/metadata.xml                    | 12 ++++
 4 files changed, 203 insertions(+)

diff --git a/app-misc/far2l/Manifest b/app-misc/far2l/Manifest
new file mode 100644
index 000000000..dd24253db
--- /dev/null
+++ b/app-misc/far2l/Manifest
@@ -0,0 +1 @@
+DIST far2l-2.3.20210419_alpha.tar.gz 5441978 BLAKE2B d8878704d5928d5240e1cdcf32dc3e2bd298c3a283811ae29a9cff36c20d1ae8b655ea5355f7c41660eb91b6e53b6c26cf66e93f7d4fc59e12ad3ee1e2cac4b0 SHA512 99b98f5946ce93ddbd93a9d26ce4db22ee687e7c9cbaab53b0087896a9a8247041064614b489d5e6e0a0d4ead72057db5bcbdbf6b060e36b9eb4f61aa30dec38

diff --git a/app-misc/far2l/far2l-2.3.20210419_alpha.ebuild b/app-misc/far2l/far2l-2.3.20210419_alpha.ebuild
new file mode 100644
index 000000000..92570f24a
--- /dev/null
+++ b/app-misc/far2l/far2l-2.3.20210419_alpha.ebuild
@@ -0,0 +1,95 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+
+CMAKE_MAKEFILE_GENERATOR="emake"
+CMAKE_BUILD_TYPE="Release"
+WX_GTK_VER="3.0-gtk3"
+
+inherit eutils cmake xdg-utils wxwidgets python-any-r1
+
+DESCRIPTION="Linux port of Far Manager"
+HOMEPAGE="https://github.com/elfmz/far2l"
+
+if [[ "${PV}" == "9999" ]] ; then
+	inherit git-r3
+	SRC_URI=""
+	EGIT_REPO_URI="https://github.com/elfmz/far2l"
+	EGIT_BRANCH="master"
+else
+	MY_PV="${PV:4:4}-${PV:8:2}-${PV:10:8}"
+	MY_P="${PN}-${MY_PV}"
+	S="${WORKDIR}/${MY_P}"
+	SRC_URI="https://github.com/elfmz/far2l/archive/v${MY_PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="+ssl libressl sftp samba nfs webdav +archive +wxwidgets python +static-libs"
+
+BDEPEND=">=dev-util/cmake-3.2.2
+	sys-devel/m4"
+
+RDEPEND="sys-apps/gawk
+	dev-libs/xerces-c
+	dev-libs/spdlog
+	app-i18n/uchardet
+	wxwidgets? ( x11-libs/wxGTK:${WX_GTK_VER} )
+	ssl? (
+		!libressl? ( dev-libs/openssl )
+		libressl? ( dev-libs/libressl )
+	)
+	sftp? ( net-libs/libssh[sftp] )
+	samba? ( net-fs/samba )
+	nfs? ( net-fs/libnfs )
+	webdav? ( net-libs/neon )
+	archive? (
+		dev-libs/libpcre2
+		app-arch/libarchive )
+	python? ( $(python_gen_any_dep 'dev-python/virtualenv[${PYTHON_USEDEP}]') )"
+
+DEPEND="${RDEPEND}"
+
+pkg_setup() {
+	if use wxwidgets; then
+		setup-wxwidgets
+	fi
+}
+
+src_prepare() {
+	sed -e "s:execute_process(COMMAND ln -sf \../../bin/far2l \${CMAKE_INSTALL_PREFIX}/lib/far2l/far2l_askpass)::" -i "${S}"/CMakeLists.txt
+	sed -e "s:execute_process(COMMAND ln -sf \../../bin/far2l \${CMAKE_INSTALL_PREFIX}/lib/far2l/far2l_sudoapp)::" -i "${S}"/CMakeLists.txt
+	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/objinfo/plug/objinfo.far-plug-mb)::" -i "${S}"/CMakeLists.txt
+	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/farftp/plug/farftp.far-plug-mb && echo Removed existing farftp plugin)::" -i "${S}"/CMakeLists.txt
+	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/python/plug/python.far-plug-wide && echo Removed existing python plugin)::" -i "${S}"/CMakeLists.txt
+	cmake_src_prepare
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DUSEWX="$(usex wxwidgets)"
+		-DPYTHON="$(usex python)"
+		-DBUILD_SHARED_LIBS="$(usex static-libs "no" "yes")"
+	)
+
+	cmake_src_configure
+}
+
+src_install(){
+	cmake_src_install
+	einstalldocs
+	dosym "../../bin/far2l" "usr/lib/far2l/far2l_askpass"
+	dosym "../../bin/far2l" "usr/lib/far2l/far2l_sudoapp"
+}
+
+pkg_postinst() {
+	xdg_icon_cache_update
+}
+
+pkg_postrm() {
+	xdg_icon_cache_update
+}
\ No newline at end of file

diff --git a/app-misc/far2l/far2l-9999.ebuild b/app-misc/far2l/far2l-9999.ebuild
new file mode 100644
index 000000000..92570f24a
--- /dev/null
+++ b/app-misc/far2l/far2l-9999.ebuild
@@ -0,0 +1,95 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+
+CMAKE_MAKEFILE_GENERATOR="emake"
+CMAKE_BUILD_TYPE="Release"
+WX_GTK_VER="3.0-gtk3"
+
+inherit eutils cmake xdg-utils wxwidgets python-any-r1
+
+DESCRIPTION="Linux port of Far Manager"
+HOMEPAGE="https://github.com/elfmz/far2l"
+
+if [[ "${PV}" == "9999" ]] ; then
+	inherit git-r3
+	SRC_URI=""
+	EGIT_REPO_URI="https://github.com/elfmz/far2l"
+	EGIT_BRANCH="master"
+else
+	MY_PV="${PV:4:4}-${PV:8:2}-${PV:10:8}"
+	MY_P="${PN}-${MY_PV}"
+	S="${WORKDIR}/${MY_P}"
+	SRC_URI="https://github.com/elfmz/far2l/archive/v${MY_PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="+ssl libressl sftp samba nfs webdav +archive +wxwidgets python +static-libs"
+
+BDEPEND=">=dev-util/cmake-3.2.2
+	sys-devel/m4"
+
+RDEPEND="sys-apps/gawk
+	dev-libs/xerces-c
+	dev-libs/spdlog
+	app-i18n/uchardet
+	wxwidgets? ( x11-libs/wxGTK:${WX_GTK_VER} )
+	ssl? (
+		!libressl? ( dev-libs/openssl )
+		libressl? ( dev-libs/libressl )
+	)
+	sftp? ( net-libs/libssh[sftp] )
+	samba? ( net-fs/samba )
+	nfs? ( net-fs/libnfs )
+	webdav? ( net-libs/neon )
+	archive? (
+		dev-libs/libpcre2
+		app-arch/libarchive )
+	python? ( $(python_gen_any_dep 'dev-python/virtualenv[${PYTHON_USEDEP}]') )"
+
+DEPEND="${RDEPEND}"
+
+pkg_setup() {
+	if use wxwidgets; then
+		setup-wxwidgets
+	fi
+}
+
+src_prepare() {
+	sed -e "s:execute_process(COMMAND ln -sf \../../bin/far2l \${CMAKE_INSTALL_PREFIX}/lib/far2l/far2l_askpass)::" -i "${S}"/CMakeLists.txt
+	sed -e "s:execute_process(COMMAND ln -sf \../../bin/far2l \${CMAKE_INSTALL_PREFIX}/lib/far2l/far2l_sudoapp)::" -i "${S}"/CMakeLists.txt
+	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/objinfo/plug/objinfo.far-plug-mb)::" -i "${S}"/CMakeLists.txt
+	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/farftp/plug/farftp.far-plug-mb && echo Removed existing farftp plugin)::" -i "${S}"/CMakeLists.txt
+	sed -e "s:execute_process(COMMAND rm -f \${CMAKE_INSTALL_PREFIX}/lib/far2l/Plugins/python/plug/python.far-plug-wide && echo Removed existing python plugin)::" -i "${S}"/CMakeLists.txt
+	cmake_src_prepare
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DUSEWX="$(usex wxwidgets)"
+		-DPYTHON="$(usex python)"
+		-DBUILD_SHARED_LIBS="$(usex static-libs "no" "yes")"
+	)
+
+	cmake_src_configure
+}
+
+src_install(){
+	cmake_src_install
+	einstalldocs
+	dosym "../../bin/far2l" "usr/lib/far2l/far2l_askpass"
+	dosym "../../bin/far2l" "usr/lib/far2l/far2l_sudoapp"
+}
+
+pkg_postinst() {
+	xdg_icon_cache_update
+}
+
+pkg_postrm() {
+	xdg_icon_cache_update
+}
\ No newline at end of file

diff --git a/app-misc/far2l/metadata.xml b/app-misc/far2l/metadata.xml
new file mode 100644
index 000000000..fd703baf5
--- /dev/null
+++ b/app-misc/far2l/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<use>
+		<flag name="archive">Multiarc extended archives support</flag>
+		<flag name="nfs">NFS support in NetRocks</flag>
+		<flag name="samba">SMB support in NetRocks</flag>
+		<flag name="sftp">SFTP support in NetRocks</flag>
+		<flag name="ssl">FTPS support in NetRocks</flag>
+		<flag name="webdav">WebDav support in NetRocks</flag>
+	</use>
+</pkgmetadata>


^ permalink raw reply related	[flat|nested] 19+ messages in thread

end of thread, other threads:[~2024-09-04 20:20 UTC | newest]

Thread overview: 19+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2024-01-01 10:48 [gentoo-commits] repo/proj/guru:dev commit in: app-misc/far2l/ Andrey Syutkin
  -- strict thread matches above, loose matches on Subject: below --
2024-09-04 20:20 Andrey Syutkin
2024-08-28 21:58 Andrey Syutkin
2024-07-23 20:22 Brayan
2024-07-23 20:22 Brayan
2022-01-12 21:19 Andrey Syutkin
2022-01-12 20:03 Andrey Syutkin
2021-12-25 18:00 Andrey Syutkin
2021-12-05  6:23 Andrey Syutkin
2021-09-21 20:06 Andrey Syutkin
2021-09-19 20:17 Andrey Syutkin
2021-08-28 19:40 Anna Vyalkova
2021-07-01  6:01 Andrey Syutkin
2021-06-17 16:55 Andrey Syutkin
2021-04-26 16:54 Andrey Syutkin
2021-04-23 12:23 Andrew Ammerlaan
2021-04-22 22:11 Andrey Syutkin
2021-04-22  7:35 [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2021-04-22  7:26 ` [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2021-04-20 19:58 Andrey Syutkin

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox